#!//usr/bin/perl


use strict;
use utf8;


package PKanaEditor;
use Qt;
use Qt::isa qw(Qt::MainWindow);
use Qt::slots
    fileNew => [],
    fileOpen => [],
    fileSave => [],
    fileSaveAs => [],
    filePrint => [],
    fileExit => [],
    editUndo => [],
    editRedo => [],
    editCut => [],
    editCopy => [],
    editPaste => [],
    helpAbout => [],
    ZoomOutAction_activated => [],
    ZoomInAction_activated => [],
    MainEditor_returnPressed => [],
    _RomanjiToKana => ['const QString&'],
    MainEditor_cursorPositionChanged => ['int', 'int'];
use Qt::attributes qw(
    MainEditor
    MenuBar
    fileMenu
    editMenu
    helpMenu
    Toolbar
    Toolbar_2
    Toolbar_3
    fileNewAction
    fileOpenAction
    fileSaveAction
    fileSaveAsAction
    filePrintAction
    fileExitAction
    editUndoAction
    editRedoAction
    editCutAction
    editCopyAction
    editPasteAction
    helpAboutAction
    ZoomInAction
    ZoomOutAction
);

use XML::Simple ;

our $image0;
our $image0_data =
["22 22 140 2",
"Qt c None",
".a c #aeb9ca",
"#U c #963c00",
".j c #aeb9ca",
".E c #a0a0a0",
".p c #aeb9ca",
".v c #aeb9ca",
".K c #a0a0a0",
"ah c #97918d",
".B c #a5b2c9",
"#x c #d3600c",
".Y c #b27f5c",
"#k c #a8724a",
"#T c #ab6f47",
"#4 c #c97b39",
"#w c #d78032",
"aa c #e09038",
".8 c #e5973c",
".J c #8f9cb7",
".Q c #909db7",
".X c #a18b89",
"#J c #f2a847",
".Z c #edeff6",
"#S c #c7783b",
"#v c #d27e37",
".G c #cecefe",
"a# c #f2bb59",
"ag c #8f959f",
".# c #a9adb6",
".A c #bcc1f1",
".i c #c4c9d4",
".I c #cbccff",
".u c #cbcdf8",
".H c #cccdff",
".P c #cfd0ff",
".o c #d0d3f6",
".O c #d1a195",
".z c #d1d4f6",
".W c #d2d3fd",
".h c #d3d4fe",
".N c #d5aba8",
".M c #d5d5ff",
".S c #d7b6b9",
".3 c #d8a685",
".6 c #d8aa9a",
".T c #d8d9ff",
".n c #dbdbfe",
".g c #dddeff",
"#d c #dec9d0",
"#M c #e0c2b8",
"#N c #e19761",
"#7 c #e2c7b9",
".s c #e2e3fe",
"#q c #e39851",
"#o c #e3beaf",
".y c #e3e7f6",
".1 c #e4a55b",
"#p c #e4ab72",
".t c #e4e5ff",
".m c #e5e6ff",
".f c #e7e7ff",
".9 c #e7eafa",
"a. c #e8d4cf",
"#5 c #e9a75f",
".x c #e9ebfe",
"#L c #ebe1e6",
"#n c #ebecff",
"#l c #ebeefa",
"aj c #ecd8ca",
"#X c #edc2a2",
".r c #ededff",
"#B c #eeb14b",
"#c c #eeeeff",
".R c #efdcda",
".l c #efefff",
"#y c #eff2fa",
"ad c #f0b354",
"#. c #f0f0ff",
".e c #f1f1ff",
"## c #f1f2ff",
"ae c #f2ba56",
".U c #f2bf5b",
".D c #f2f2fe",
"#m c #f2f2ff",
"#b c #f2f3ff",
".L c #f3f3ff",
"#K c #f3f5fa",
".b c #f3f6fa",
".4 c #f4c35d",
"ai c #f4e4d8",
"#a c #f4f4ff",
"#0 c #f5c358",
"#8 c #f5c55d",
"ac c #f5efec",
".w c #f5f5ff",
".V c #f6ca62",
"#6 c #f6cd5e",
"#e c #f6cf5f",
"#A c #f6f6ff",
"#2 c #f7c861",
"#g c #f7cc5c",
".5 c #f7cf66",
"#9 c #f7d066",
"af c #f7f7fd",
".q c #f7f7ff",
"#1 c #f8cf64",
"#j c #f8cf68",
"#z c #f8f8ff",
"#h c #f9d467",
"#Z c #f9d969",
".k c #f9f9ff",
"#r c #fada64",
".d c #fafaff",
"#W c #fafbff",
".F c #fbfbff",
"#u c #fcdc6f",
".7 c #fce279",
"#O c #fceb7b",
"#Y c #fced7b",
"ab c #fcfbfb",
"#V c #fcfcff",
"#i c #fde77c",
"#3 c #fdeb82",
"#R c #fded82",
".2 c #fdef7d",
"#f c #fdf182",
".C c #fdfdff",
"#I c #feef88",
"#H c #fef088",
"#Q c #fef488",
"#G c #fef48a",
"#P c #fef688",
"#E c #fef789",
"#D c #fef888",
"#C c #fef988",
".0 c #fefeff",
"#s c #fffb91",
"#t c #fffb92",
"#F c #fffe98",
".c c #ffffff",
"QtQtQt.#.#.#.#.#.#.#.#.#.#.#.#.aQtQtQtQtQtQt",
"QtQtQt.#.b.c.c.c.c.d.e.f.g.h.i.#.jQtQtQtQtQt",
"QtQtQt.#.b.c.c.c.c.c.k.l.m.n.i.o.#.pQtQtQtQt",
"QtQtQt.#.b.c.c.c.c.c.c.q.r.s.i.t.u.#.vQtQtQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.w.x.i.y.z.A.#.BQtQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.C.D.i.i.i.i.i.#.EQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.F.F.e.G.H.I.J.KQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.c.L.M.N.O.P.Q.KQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.R.S.T.U.V.W.X.YQt",
"QtQtQt.#.Z.0.c.c.c.c.c.c.e.1.2.3.4.5.6.7.8Qt",
"QtQtQt.#.9.l#.##.L#a#b#c.m#d#e#f#g#h#i#j#kQt",
"QtQtQt.##l#a#m.e#.#c.r#n#o#p#q#r#s#t#u#v#w#x",
"QtQtQt.##y#z.q#A#a.L###.#B#C#D#E#F#F#G#H#I#J",
"QtQtQt.##K.C.F.d.k.q#A.w#L#M#N#O#P#Q#R#S#T#U",
"QtQtQt.#.b.c.c.c.C#V#W.k#z#X#Y#Z#0#1#2#3#4Qt",
"QtQtQt.#.b.c.c.c.c.c.c.0#V#5#6#7#8#9a.a#aaQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.cabac.CadaeafagahQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.c.c.caiaj.Cag.KQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.c.c.c.c.c.cag.KQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.c.c.c.c.c.cag.KQt",
"QtQtQt.#.b.c.c.c.c.c.c.c.c.c.c.c.c.c.cag.KQt",
"QtQtQt.#agagagagagagagagagagagagagagagag.KQt"];

our $image1;
our $image1_data =
["22 22 286 2",
".# c None",
"Qt c None",
".G c #5b66bf",
".d c #6d76c5",
"an c #0026bb",
".W c #002ec0",
".a c #7781c9",
"bg c #0020b8",
".j c #7d85ca",
"b6 c #001cb5",
".6 c #4358be",
".q c #636dc2",
"#5 c #0027bc",
".e c #7882c9",
"a0 c #0023b8",
"#g c #002cbe",
"#f c #002dbf",
"#e c #002fc1",
".y c #7f88cb",
"bR c #001eb6",
"cB c #001bb5",
"#M c #0028bd",
".V c #455abf",
".i c #6a74c3",
".b c #757dc8",
"aH c #0024ba",
".k c #7a83ca",
"al c #0017c9",
"aG c #0019c6",
"aF c #0015c8",
"#L c #0028cc",
"bA c #001fb7",
"#d c #1d46c0",
"#r c #6f9cf1",
"aZ c #001cc0",
"bz c #1f3cc6",
"ak c #001fc8",
"#s c #0029bd",
".x c #084bd0",
".F c #6a74c6",
".c c #7a83ca",
".f c #8990d1",
"#q c #74a0f1",
"bf c #001fbc",
"am c #0024bd",
"#4 c #0026c0",
"#3 c #0732d0",
"aE c #0022ca",
"ci c #0025b7",
"aY c #0025cf",
"b7 c #0039c7",
"cj c #003bc8",
"aD c #0128cb",
"aX c #0133d6",
"aW c #0133d7",
"be c #033bde",
"bd c #0341e4",
"bc c #0443e4",
"aV c #063ddd",
"cA c #0731b6",
"#7 c #0d52d3",
"aj c #1039d3",
"aC c #1142dc",
"cz c #123bb7",
"bS c #1353d2",
"cy c #143dba",
"cx c #1842bd",
"a3 c #195ad4",
"cw c #1a46bf",
"aB c #1a52e7",
"bT c #1a58d2",
"aU c #1c5bee",
"#K c #1d6bf0",
"cv c #1e4bc2",
"bB c #1e5dd6",
".r c #1f61d7",
"#l c #2057d0",
"cu c #224fc5",
"#E c #2258d1",
"bh c #2260d7",
"bb c #2261ee",
"b5 c #244ac1",
"aA c #2462f0",
"ct c #2553c9",
"a1 c #2562d7",
"ck c #2760d4",
"aI c #2765d9",
"cs c #2857cb",
"ai c #2964e9",
"ao c #2966da",
"cr c #2c5bcf",
"#6 c #2d6ada",
"cq c #2f60d1",
"#N c #306cdb",
"cp c #3263d3",
"aT c #3270f3",
"#t c #336edc",
"ah c #3377f5",
"by c #344fcb",
"co c #3465d5",
"cn c #3467d6",
"cm c #3669d6",
"#h c #3670dc",
"cl c #376bd7",
".7 c #3973dc",
"az c #3976f4",
"#2 c #397df6",
"bC c #3a77df",
".X c #3c75dd",
"bx c #3d59d1",
".H c #3d76de",
"bw c #4160d7",
"ba c #427ff6",
"bv c #436ae0",
"bu c #4571e7",
"#I c #4594ff",
"aJ c #4684e4",
"#1 c #4696ff",
"#v c #4771d2",
"ag c #478cfc",
"#H c #4796ff",
"aS c #4884f6",
"aq c #4a7fe1",
"#0 c #4c99ff",
"#J c #4c9cff",
"bt c #4f78e7",
"ay c #508af8",
"#O c #518fe9",
"bj c #5788e3",
"b# c #5792fa",
"af c #599cff",
".w c #5c94eb",
"aR c #5f98fb",
"bQ c #6075ca",
"#c c #6184dc",
".v c #6298eb",
"#m c #6493ea",
"bs c #658ded",
"ax c #659efb",
"#b c #6689de",
"#a c #668adf",
"#P c #6796e7",
".u c #679ced",
"b8 c #6a93e6",
"b. c #6ca6fd",
"#D c #6d90e3",
".t c #6d9fed",
"ae c #6dabff",
"#C c #6f94e4",
".s c #6fa1ed",
"#B c #7397e6",
"aQ c #73abfe",
"#F c #74a0ef",
"#A c #759ae7",
".O c #7788d0",
"#z c #779ee8",
"a8 c #78b1fa",
"a9 c #79b1fd",
"#y c #7aa1ea",
"bi c #7ab1f2",
"#G c #7ab5ff",
"#x c #7da3ed",
"aw c #7db3ff",
"br c #7ea4f5",
"#w c #7ea6ed",
"#p c #81abf4",
"ad c #81bbff",
".5 c #828bd1",
"#Z c #82bbff",
"#o c #84aef6",
"#X c #85b2f6",
"ap c #85bbf6",
"#n c #86b0f6",
"aP c #88bdff",
"#Y c #89b6fb",
"aO c #8abefc",
"#W c #8dbaf6",
"bq c #8fb5f9",
".9 c #939dd6",
"bp c #93b8f8",
"a7 c #94d2ff",
".N c #96c1f6",
".p c #979eda",
".Z c #97aee4",
"#V c #97bff8",
"aK c #98baf3",
"ac c #99ccff",
"aN c #9cd2ff",
".z c #9fa4db",
"#i c #a0b8e8",
"#U c #a1c7f9",
"av c #a1d2ff",
"bo c #a2cafe",
"#u c #a2d3fe",
".0 c #a3aadc",
"ch c #a4a7cb",
"a6 c #a6ddff",
"#T c #aacdf9",
"cg c #abaccf",
"#Q c #acc1f1",
".8 c #aed0f6",
"cf c #b0b1d1",
"bD c #b0c8f6",
".M c #b1e5ff",
"bP c #b2b2d9",
"at c #b2d0f1",
"bn c #b2daff",
"#S c #b3d3fa",
"b4 c #b4b4db",
".Y c #b4e4ff",
"bO c #b8b8dc",
"ce c #b8bad6",
"ab c #b8e5ff",
".L c #b8eaff",
"b3 c #bcbcde",
".l c #bdc0e8",
"#R c #bdd5fb",
"bN c #bebee0",
"a2 c #beeaff",
".K c #beeeff",
"bm c #bfe5ff",
"a5 c #bfeaff",
"cd c #c0c1dd",
"b2 c #c1c1e1",
".U c #c2c8ed",
"aM c #c2efff",
"bM c #c6c6e4",
".J c #c6f1ff",
"au c #c7eeff",
"b1 c #c8c8e6",
".P c #c9cced",
"cc c #cacbe3",
"bL c #cbcbe7",
"bl c #cbeeff",
"aa c #ccf2ff",
".I c #ccf5ff",
"#j c #cdd2ef",
"b0 c #cfcfe9",
"bK c #d3d3eb",
"cb c #d3d4e8",
"#9 c #d4e0fa",
"bZ c #d5d5ed",
"## c #d5daf6",
".g c #d7daf4",
"bk c #d7f2ff",
"bJ c #d9d9ef",
"as c #d9f6ff",
"#k c #dadff9",
"bY c #dcdcf1",
"ca c #dcddef",
".h c #dcdff6",
"bI c #dfdff2",
"#. c #dfe1f6",
"a# c #e1ffff",
"bX c #e3e3f4",
".4 c #e3e3f8",
"a. c #e3f3ff",
".A c #e4e6fa",
".T c #e5e5f9",
"aL c #e5fcff",
"c# c #e6e6f4",
"bH c #e6e6f6",
".D c #e6e6fa",
"#8 c #e7f6ff",
"bW c #e8e8f8",
".n c #eaeafb",
"bG c #ededfa",
".E c #eeeefd",
".o c #efeffd",
".C c #efeffe",
"c. c #eff0fa",
"a4 c #effeff",
"bV c #f0f0fb",
"ar c #f0feff",
"bF c #f2f2fd",
".S c #f2f2ff",
".B c #f3f3ff",
".m c #f5f5ff",
".1 c #f5f6ff",
"bU c #f6f6ff",
".R c #f8f8ff",
"b9 c #f9f9ff",
"bE c #fafaff",
".3 c #fcfcff",
".Q c #fdfdff",
".2 c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.#.#.#.#.#.#.#.#.#.#.#.a.b.c.d.#.#.#.#.#.#",
".#.#.#.#.#.#.#.#.#.#.#.e.f.g.h.i.#.#.#.#.#.#",
"QtQtQtQtQtQtQt.#.#.j.k.l.m.n.o.p.q.#.#.#.#.#",
".r.s.t.u.v.w.xQt.y.z.A.B.C.n.D.E.F.G.#.#.#.#",
".H.I.J.K.L.M.N.O.P.Q.R.S.C.n.D.T.U.V.W.#.#.#",
".X.I.J.K.Y.Z.0.1.2.3.R.S.C.n.D.4.E.5.6.#.#.#",
".7.I.J.8.9#..2.2.2.3.R.S.C.n###a#b#c#d#e#f#g",
"#h.I.J#i#j.2.2.2.2.3.R.S.C#k#l#m#n#o#p#q#r#s",
"#t.I.J#u#v#w#x#y#z#A#B#C#D#E#F#G#H#I#J#K#L#M",
"#N.I.J#O#P#Q#R#S#T#U#V#W#X#Y#Z#0#I#1#2#3#4#5",
"#6.I.J#7#8#9a.a#aaabacadaeafagahaiajakalaman",
"ao.IapaqarasatauavawaxayazaAaBaCaDaEaFaGaH.#",
"aI.IaJaKaLaMaNaOaPaQaRaSaTaUaVaWaXaYaFaZa0.#",
"a1a2a3a4a5a6a7a8a9b.b#babbbcbdbeaXaYaFbfbg.#",
"bhbibjbkblbmbnbobpbqbrbsbtbubvbwbxbybzbA.#.#",
"bBbCbD.2.2.2bEbFbGbHbIbJbKbLbMbNbObPbQbR.#.#",
"bSbT.2.2.2.2.3bUbVbWbXbYbZb0b1b2b3b4b5b6.#.#",
"b7b8.2.2.2.2.2b9c.c#cacbcccdcecfcgchci.#.#.#",
"cjckclcmcncocpcqcrcsctcucvcwcxcyczcAcB.#.#.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"];

our $image2;
our $image2_data =
["22 22 277 2",
"Qt c None",
".q c #414273",
"cs c #04053d",
"cb c #424272",
".# c #b7b8cb",
".z c #37386c",
".p c #4f527f",
"cr c #06073d",
"ca c #07073e",
"bU c #090a40",
"bD c #0b0c43",
"bl c #0d0e45",
"cq c #101045",
"a5 c #101148",
"aO c #12134a",
"ax c #15164d",
"aj c #181950",
"#5 c #1c1d54",
"#P c #1f2056",
"#z c #222359",
"#h c #26275c",
".1 c #2a2b60",
".R c #2e2f63",
"cd c #313264",
"cp c #333363",
"co c #353564",
".I c #353669",
"cn c #373766",
"cm c #393968",
"cc c #39396b",
"cl c #3b3b69",
"ck c #3d3d6b",
"cj c #40406c",
"ci c #41416e",
"ch c #44446f",
"cg c #464671",
"cf c #484873",
"ce c #4b4b74",
"bV c #545782",
"bE c #5d628a",
".o c #64688f",
"bm c #666a91",
"a6 c #6e7398",
"aP c #757a9d",
"ay c #7b7fa1",
"ak c #8286a6",
".n c #8585a4",
"#6 c #888caa",
".m c #8a8aa8",
".l c #8f8fac",
"#Q c #8f92af",
".k c #9494af",
"#A c #9498b3",
".j c #9999b3",
"#i c #9b9eb8",
".i c #9d9db6",
".2 c #a1a4bc",
".f c #a2a3bb",
".h c #a3a3bb",
".e c #a5a7be",
".g c #a7a7be",
".S c #a8aac0",
".d c #adaec3",
".J c #aeb0c5",
".A c #b4b5c9",
".b c #b6b7cb",
".c c #bbbbcd",
".a c #bbbcce",
"c# c #131942",
"bT c #1a234d",
"bC c #1f2952",
"bk c #242e58",
"a4 c #2a345e",
"c. c #2b345a",
"aN c #303a63",
"bS c #364168",
"aw c #37406a",
"bB c #3b476e",
"ai c #3d466f",
"bj c #414d73",
"#4 c #454f76",
".D c #465e8c",
"a3 c #485379",
"#O c #4c567c",
"aM c #4e597f",
"#3 c #526186",
"#y c #545e84",
"av c #556185",
"#N c #566489",
".E c #576c96",
".M c #586d97",
"#g c #5c668a",
"ah c #5c678b",
"#M c #5c6a8f",
"#x c #626f93",
"#L c #637194",
".0 c #666f92",
"#2 c #687496",
"#K c #6a789a",
"bX c #6f7797",
"#1 c #6f7a9b",
".v c #7082a6",
"bW c #727a9b",
"#J c #7382a2",
"#w c #7480a0",
".F c #7486a8",
".Q c #757fa0",
"#0 c #7581a0",
"#f c #7884a3",
"#Z c #7b87a5",
"bG c #7d88a7",
"bF c #7d8aa8",
".w c #7e8faf",
"#v c #7f8ba9",
".N c #7f8faf",
".u c #7f90af",
"#I c #808fae",
"b9 c #82829e",
"#Y c #838eab",
".H c #848eac",
"bo c #8591ad",
".y c #868eac",
"bn c #8693af",
"b8 c #8787a2",
"#H c #8897b4",
"#X c #8a96b1",
"b7 c #8d8da6",
"bR c #8d8dab",
"bQ c #8d8dac",
"#u c #8d9ab6",
"a8 c #8e9ab4",
".Z c #8e9bb5",
"bz c #8f8faf",
"#G c #909eb9",
"a7 c #919eb8",
"b6 c #9292a9",
"bA c #9292af",
"bP c #9292b0",
"bh c #9292b2",
"#W c #939fb9",
"by c #9595b2",
"#t c #95a3bd",
"b5 c #9797ae",
"bi c #9797b3",
"bO c #9797b4",
"bg c #9797b6",
"bx c #9999b6",
"aK c #9999b8",
"aQ c #99a4bd",
".O c #9aa7c0",
"#F c #9ba8c1",
"#s c #9ba9c1",
"b4 c #9c9cb1",
"bN c #9c9cb8",
"bf c #9c9cb9",
"#V c #9ca7bf",
".P c #9da9c2",
"bw c #9e9ebb",
"aJ c #9e9ebc",
"a1 c #9f9fbb",
".V c #9facc4",
"#r c #a0acc4",
"b3 c #a1a1b6",
"a2 c #a1a1ba",
"aL c #a1a1bc",
"be c #a2a2be",
"aI c #a2a2c0",
"bv c #a3a3be",
".G c #a3afc6",
"#q c #a4b0c7",
"a0 c #a5a5bf",
"#E c #a5b1c7",
"b2 c #a6a6b9",
"bd c #a6a6c1",
"az c #a6b0c6",
"#U c #a6b1c7",
"bM c #a7a7c0",
"aH c #a8a8c4",
"#p c #a8b4c9",
"bu c #a9a9c3",
"aZ c #aaaac3",
"#D c #aab5ca",
"b1 c #acacbd",
"bL c #acacc4",
"bc c #acacc6",
"aG c #acacc7",
"#R c #acb7cb",
"bt c #adadc6",
"#o c #adb8cc",
"#C c #aeb9cd",
"#7 c #afbacd",
"aY c #b0b0c7",
"bb c #b0b0c9",
"#T c #b0bbce",
"b0 c #b1b1c1",
"bK c #b1b1c8",
"aF c #b1b1cc",
"#n c #b1bbce",
"bs c #b3b3ca",
".x c #b3bdd0",
"aX c #b4b4cb",
"#S c #b4bed0",
"#m c #b5bfd1",
"bZ c #b6b6c5",
"au c #b6b6c9",
"bJ c #b6b6cc",
"ba c #b6b6cd",
"aE c #b6b6cf",
"#k c #b7c1d2",
"br c #b8b8ce",
".W c #b9c2d3",
"aW c #babacf",
"#l c #bac3d4",
"b# c #bbbbd1",
"aD c #bbbbd4",
"#B c #bbc4d4",
"bY c #bcbcc9",
"at c #bcbccd",
"ag c #bcbcce",
"bI c #bcbcd0",
"bq c #bdbdd2",
"aV c #bfbfd3",
"b. c #bfbfd5",
"aC c #bfbfd7",
"#j c #c1c9d9",
"af c #c2c2d2",
"aU c #c4c4d7",
"aB c #c4c4db",
".4 c #c5cddb",
".3 c #c6cedc",
"as c #c7c7d6",
"ae c #c8c8d6",
"bH c #c8c8d8",
"aT c #c9c9db",
".X c #cbd2df",
"bp c #ccccdc",
".T c #ccd3df",
"ar c #cdcdda",
"ad c #ceceda",
".U c #ced4e1",
"aS c #cfcfdf",
"#e c #d0d3de",
"a9 c #d1d1e0",
"aq c #d2d2de",
".K c #d2d8e3",
".L c #d3d9e4",
"ac c #d4d4df",
".B c #d7dde6",
"ap c #d8d8e2",
".C c #d8dde7",
"ab c #d9d9e3",
"aA c #dcdce9",
"ao c #dddde6",
"aR c #dddde8",
"aa c #dfdfe7",
"#d c #e1e4eb",
".r c #e1e5ec",
".s c #e1e5ed",
"a# c #e4e4eb",
"#c c #e5e8ef",
"#b c #e6e9ef",
"#a c #e7eaf0",
"## c #e8ebf0",
"an c #e9e9ef",
"#. c #e9ecf1",
".9 c #eaedf2",
"a. c #ebebf0",
".8 c #ebeef3",
".7 c #eceff3",
".6 c #edf0f4",
".5 c #eef1f5",
"am c #f2f2f5",
"#9 c #f4f4f7",
"al c #fbfbfc",
"#8 c #fdfdfd",
".Y c #fdfdfe",
".t c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQt.#.a.b.c.d.e.f.g.h.i.j.k.l.m.n.o.p.qQtQt",
"QtQt.a.r.s.t.u.v.w.t.t.t.t.t.t.t.t.x.y.zQtQt",
"QtQt.A.B.C.t.D.E.F.t.t.t.t.t.t.t.t.G.H.IQtQt",
"QtQt.J.K.L.t.M.N.O.t.t.t.t.t.t.t.t.P.Q.RQtQt",
"QtQt.S.T.U.t.V.W.X.t.t.t.t.t.t.t.Y.Z.0.1QtQt",
"QtQt.2.3.4.5.6.7.8.9#.###a#b#c#d#e#f#g#hQtQt",
"QtQt#i#j#k#l#m#n#o#p#q#r#s#t#u#v#w#x#y#zQtQt",
"QtQt#A#B#C#D#E#r#F#t#G#H#I#J#K#L#M#N#O#PQtQt",
"QtQt#Q#m#R#S#T#R#U#V#W#X#Y#Z#0#1#2#3#4#5QtQt",
"QtQt#6#7#S.t#8#9a.a#aaabacadaeafagahaiajQtQt",
"QtQtak#D#7alamana#aoapaqarasafatauavawaxQtQt",
"QtQtay#qazaAaBaCaDaEaFaGaHaIaJaKaLaMaNaOQtQt",
"QtQtaP.PaQaRaSaTaUaVaWaXaYaZa0a1a2a3a4a5QtQt",
"QtQta6a7a8a9b.b#babbbcbdbebfbgbhbibjbkblQtQt",
"QtQtbmbnbobpbqbrbsbtbubvbwbxbybzbAbBbCbDQtQt",
"QtQtbEbFbGbHbIbJbKbLbMaLbNbObPbQbRbSbTbUQtQt",
"QtQtbVbWbXbYbZb0b1b2b3b4b5b6b7b8b9c.c#caQtQt",
"QtQtcbcccdcecfcgchcicjckclcmcncocpcqcrcsQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"];

our $image3;
our $image3_data =
["22 22 333 2",
"Qt c None",
"ar c None",
"at c #000030",
"cd c #000030",
"as c #000030",
"aL c #000030",
".# c #ec9100",
"bV c #000030",
".l c #bb4400",
"cc c #000030",
"aM c #000030",
".D c #654351",
"aN c #000030",
"bU c #000030",
".e c #bb4400",
"bB c #000030",
"a4 c #000030",
".f c #ee9b00",
"dk c #04043e",
".d c #d17b47",
"c5 c #424373",
".m c #b8b9cb",
".k c #d07843",
".S c #323268",
".a c #f0ab05",
".C c #bd6d39",
".g c #f9d004",
"c4 c #06063e",
"cM c #080940",
"cv c #0a0b42",
"aK c #191a52",
"aq c #1c1d54",
"a. c #1f2057",
"#S c #22235a",
"#A c #26275d",
"#k c #2a2b60",
".7 c #303065",
".c c #de9b6e",
"cb c #0b0b43",
"bT c #0d0d45",
"bA c #0f0f47",
"bi c #111249",
"a3 c #14154c",
"dj c #06073d",
"di c #0d0e43",
"c7 c #323365",
"dh c #333363",
"dg c #353564",
"df c #373766",
"c6 c #37386a",
"de c #393967",
"dd c #3b3b69",
"dc c #3d3d6b",
"db c #3f3f6c",
"da c #41416e",
"d# c #43436f",
"d. c #464671",
"c9 c #484873",
"c8 c #4a4a74",
".w c #9999b3",
".v c #9d9db6",
".s c #a2a3bb",
".u c #a3a3ba",
".r c #a5a7be",
".t c #a7a7be",
".q c #acadc2",
".o c #b6b7cb",
".n c #babccd",
".p c #bbbbcd",
".x c #c4a248",
".j c #efc7a8",
".b c #edbb7b",
".y c #fddf01",
"c3 c #121841",
"cL c #19224c",
"cu c #1e264f",
"ca c #202953",
"c2 c #252d54",
"bS c #262d58",
"bz c #2b335d",
"cK c #2e3a62",
"bh c #313963",
"ct c #313c64",
"c# c #343f68",
"a2 c #3a436c",
"bR c #3a456d",
".W c #3b5585",
"by c #3f4b72",
"aJ c #444d75",
"bg c #48547a",
"ap c #4b547b",
"## c #4f6691",
"aI c #515f85",
"a1 c #535f84",
"#9 c #545d82",
"ao c #566489",
"cN c #575b85",
".X c #586d97",
"#R c #5c6489",
"an c #5c6a8f",
"cw c #60658d",
"#8 c #606e92",
"#z c #656e91",
"aH c #687495",
"ce c #696e94",
"cO c #6f7899",
".J c #7082a6",
"bW c #72779b",
"#Q c #727e9f",
"#j c #747d9e",
"aG c #757790",
"cP c #757c9b",
"#7 c #767992",
".I c #7688aa",
"bC c #797ea0",
"cx c #7b88a7",
".Y c #7e8fae",
"bj c #7f83a4",
"#a c #8090b0",
"cr c #8181a2",
"c1 c #82829e",
"#y c #8289a2",
".6 c #838ba8",
"am c #846968",
"b9 c #8484a5",
"cy c #848eab",
"cf c #8491ad",
"cs c #8585a4",
"cI c #8585a5",
"cq c #8686a5",
"a5 c #868aa9",
"c0 c #8787a1",
".K c #8797b4",
"cH c #8888a7",
"b8 c #8888a8",
".R c #89727c",
"c. c #8989a7",
"cp c #8a8aa9",
"cZ c #8b8ba4",
"cJ c #8b8ba9",
"bw c #8b8bab",
"aO c #8b8fad",
"cY c #8c8ca4",
"b7 c #8c8cac",
"cg c #8c96b1",
"cG c #8e8eac",
"bX c #8e9cb6",
"co c #8f8fad",
"bP c #9090ad",
"cX c #9292a9",
"bQ c #9292ad",
"cF c #9292af",
"au c #9296b2",
"bx c #9393af",
"bv c #9493b3",
"bO c #9494b1",
"bY c #949fb8",
"#i c #97878a",
"cW c #9797ad",
"cn c #988593",
"a# c #989bb5",
"ag c #99a3b6",
"af c #9aa8c1",
"bD c #9ba8c0",
"#o c #9ba8c1",
"bN c #9c8e9f",
"cV c #9c9cb1",
"cE c #9d8d9b",
"b6 c #9e8892",
"#T c #9ea1ba",
"bE c #9fa9c0",
"ae c #9facc4",
"#b c #a1aec5",
"cU c #a399a6",
"bk c #a3afc6",
"#B c #a4a7be",
"ad c #a4b0c7",
"az c #a5b0c7",
"#0 c #a8b4c9",
"ac c #a9b5ca",
"cD c #aa7561",
"#l c #aaadc3",
"cT c #aba3af",
"bl c #abb5ca",
"ay c #acb7cb",
"#Z c #acb7cc",
"bf c #aeaec2",
"aP c #aeb9cc",
"ab c #aeb9cd",
".8 c #b0b3c7",
"ax c #b0bace",
"cS c #b1b1c1",
"#Y c #b1bbce",
"cl c #b29080",
"cC c #b39899",
"aA c #b3a892",
"bu c #b48777",
"aw c #b4bed0",
"av c #b4bed1",
"ck c #b59e9d",
"#X c #b5bfd1",
"cR c #b6b6c5",
"cB c #b6b6cc",
".T c #b6b8cb",
"#V c #b7c1d3",
"cj c #b8b8ce",
"be c #b9b9cb",
"#p c #b9c2d4",
"#W c #b9c3d4",
"b1 c #babad1",
"aa c #bac3d4",
"cA c #bbbbd0",
"cm c #bc9383",
"cQ c #bcbcc9",
"a0 c #bcbcce",
"ci c #bcbcd2",
".5 c #bd7e53",
"#1 c #bdb297",
".E c #bdbfd0",
"b0 c #bfbfd5",
"bo c #bfbfd7",
"#U c #c0c8d8",
"b2 c #c1aaa3",
"bd c #c1aeb1",
"bp c #c2bbc6",
"aZ c #c2c1d1",
"#6 c #c4804a",
"bn c #c4c4db",
"#C c #c5cddb",
"#P c #c7a696",
"cz c #c7c7d7",
"#D c #c8d0dd",
"bH c #c9c9da",
"ch c #cbcbdb",
"#m c #cbd2df",
"bI c #cdbdb8",
"aY c #cea994",
"bG c #cecedf",
"#q c #cfd5e1",
"bZ c #d0d0df",
".9 c #d1d7e3",
"#n c #d2d8e3",
"aF c #d38c50",
"b5 c #d5ab93",
"#. c #d6dce6",
"ah c #d7bb5f",
".U c #d7dce6",
"bm c #dadae8",
"bM c #dba172",
".V c #dbe0e8",
"bF c #dcdce7",
"bc c #e1a46c",
".F c #e1e4ec",
".G c #e3e7ee",
".Q c #e68830",
"a9 c #e6e0d8",
"a8 c #e9e9ef",
"#x c #eaa569",
"#J c #eaeae9",
"#I c #eaedf2",
"b3 c #ebcfb3",
"aS c #ebe8e8",
"#H c #ebeef2",
"#G c #eceff3",
"#F c #edf0f4",
"#h c #ee8a2b",
"#E c #eef1f5",
"#O c #ef9b44",
"a7 c #f1f1f4",
"aB c #f2da5e",
"aT c #f3d98c",
"aX c #f4b56b",
"aR c #f4f4f7",
"al c #f5a953",
"bJ c #f7d3a6",
".B c #f8a648",
".M c #f8ce1e",
"b4 c #f8e4ce",
"bq c #f9d583",
"#K c #f9d658",
"#d c #fad849",
".0 c #fad993",
"b. c #fada6b",
"#2 c #fbde3d",
"#s c #fbe3a4",
"a6 c #fbfbfc",
"#w c #fca638",
"bt c #fcd18b",
"#t c #fcdf28",
"bL c #fce3b4",
"aQ c #fcfcfd",
".4 c #fd9e25",
"#c c #fdf4e4",
".1 c #fee205",
".i c #fee8c3",
"aU c #feec73",
".L c #fefaf3",
".P c #ffab18",
"#g c #ffb225",
".3 c #ffba13",
".A c #ffba1a",
"#5 c #ffba4f",
".O c #ffbf04",
"#N c #ffbf3e",
"#v c #ffc62a",
"aE c #ffc669",
".z c #ffc704",
"#f c #ffc81c",
"ak c #ffca56",
"#M c #ffcd37",
"#4 c #ffcd44",
".2 c #ffcf0d",
"#u c #ffd527",
"bb c #ffd580",
"aW c #ffd76e",
"aj c #ffd852",
"aD c #ffd85d",
".N c #ffdd03",
"#3 c #ffde45",
"aV c #ffdf6d",
"ba c #ffdf77",
"bs c #ffe089",
"#e c #ffe115",
".h c #ffe45f",
"aC c #ffe663",
"#L c #ffe734",
"br c #ffe896",
"ai c #ffec57",
"b# c #ffed83",
"bK c #ffeecd",
"#r c #fffefe",
".Z c #fffffe",
".H c #ffffff",
"QtQtQtQtQtQtQtQtQtQtQt.#.a.b.c.d.eQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQt.f.g.h.i.j.k.lQtQtQtQt",
".m.n.o.p.q.r.s.t.u.v.w.x.y.z.A.B.C.DQtQtQtQt",
".E.F.G.H.I.J.K.H.H.H.L.M.N.O.P.Q.R.SQtQtQtQt",
".T.U.V.H.W.X.Y.H.H.Z.0.1.2.3.4.5.6.7QtQtQtQt",
".8.9#..H###a#b.H.H#c#d#e#f#g#h#i#j#kQtQtQtQt",
"#l#m#n.H#o#p#q.H#r#s#t#u#v#w#x#y#z#AQtQtQtQt",
"#B#C#D#E#F#G#H#I#J#K#L#M#N#O#P#Q#R#SQtQtQtQt",
"#T#U#V#W#X#Y#Z#0#1#2#3#4#5#6#7#8#9a.QtQtQtQt",
"a#aaabacadaeafagahaiajakalamanaoapaqQtarasat",
"auav#ZawaxayazaAaBaCaDaEaFaGaHaIaJaKaLaMaNaM",
"aOaP#W.HaQaRaSaTaUaVaWaXaYaZa0a1a2a3a4a4a4a4",
"a5#0#Xa6a7a8a9b.b#babbbcbdbebfbgbhbia4a4a4a4",
"bjbkblbmbnbobpbqbrbsbtbubvbwbxbybzbAa4a4a4bB",
"bCbDbEbFbGbHbIbJbKbLbMbNbObPbQbRbSbTa4bUaMbV",
"bWbXbYbZb0b1b2b3b4b5b6b7b8b9c.c#cacbcccdatQt",
"cecfcgchcicjckclcmcncocpcqcrcsctcucvQtQtQtQt",
"cwcxcyczcAcBcCcDcEcFcGcHcqcIcJcKcLcMQtQtQtQt",
"cNcOcPcQcRcScTcUcVcWcXcYcZc0c1c2c3c4QtQtQtQt",
"c5c6c7c8c9d.d#dadbdcdddedfdgdhdidjdkQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"];

our $image4;
our $image4_data =
["22 22 209 2",
"Qt c None",
".i c #000000",
".U c #4c4c4c",
"a3 c #000000",
"aU c #5e5e5e",
".E c #2a2a2a",
"bb c #1b1b1b",
"a4 c #323232",
".z c #464646",
"bg c #41414c",
".T c #444444",
"aT c #242424",
"#o c #333333",
"bc c #9696ab",
".F c #484848",
"aI c #525252",
"#b c #494949",
".S c #424242",
"bo c #464651",
"aH c #414141",
".G c #454545",
"#E c #3e3e3e",
"ba c #5e5e5f",
"ax c #494949",
"a5 c #717174",
"#a c #68686b",
"bh c #a0a0b1",
"#P c #5a5a5c",
"ay c #656567",
"aq c #58585b",
"b# c #77777a",
".b c #a8a8b7",
".R c #757577",
"a6 c #7d7d80",
"ab c #5a5a5e",
"#1 c #707072",
"#p c #86868a",
"ar c #707075",
".H c #95959a",
"a2 c #808082",
".V c #848487",
".y c #adadb6",
".u c #b1b1bc",
".q c #b5b5c0",
".m c #babac5",
".h c #bcbcc8",
"ac c #77777e",
".# c #bcbcca",
".D c #a5a5ae",
"#F c #b3b3b7",
"#2 c #76767e",
"#Q c #acacb1",
".Q c #a4a4a9",
"b. c #a9a9b4",
"aV c #a2a2a6",
".a c #d2d2db",
".I c #afafb4",
".A c #c8c8cf",
"a7 c #cbcbd6",
".v c #ccccd4",
".r c #cfcfd7",
".n c #d3d3db",
".j c #d6d6df",
".c c #d7d7e0",
"aS c #acacb4",
"#8 c #007eff",
"#X c #0098ff",
"#9 c #2b81dc",
"#7 c #2d8df0",
"#W c #37aeff",
"aB c #3f3f3f",
"#Y c #3f8cce",
"#V c #4ba1e6",
"#M c #4bb5fd",
"aE c #535353",
"aF c #5d5d60",
"#L c #62bffd",
"aC c #646464",
"aj c #679ade",
"#I c #6ba3d3",
"ak c #73a1df",
"au c #777780",
"#N c #83a3c2",
"av c #878791",
"aM c #88888b",
"#K c #88cefe",
"aD c #898989",
"ai c #8bafe0",
"#r c #8fa8c2",
"al c #91b2e0",
"#J c #93d3fe",
"#B c #96b7b1",
"aQ c #99999d",
".8 c #9a9da8",
"#y c #9bd1f7",
"ah c #9eb9e1",
"am c #a2bbe0",
"#x c #a2d7fa",
"#w c #a6d9fa",
".P c #ababb3",
"ag c #aec1e0",
"#v c #aedcfb",
"#e c #b0b4ba",
"ad c #b1b1c5",
"an c #b1c3e0",
"aP c #b2b2b6",
"aa c #b2b2c6",
"#3 c #b4b4c7",
"#i c #b8cce6",
"#u c #b8e0fb",
"#z c #b9bbc3",
"af c #b9c5dc",
"aG c #babac8",
"ao c #bac4db",
"aw c #bbbbcb",
".Z c #bbbec9",
"at c #bcbccc",
"as c #bcbccd",
"ap c #c0c1d1",
"ae c #c0c2d3",
"aA c #c1c1ce",
"#n c #c2c2cd",
"#t c #c3e5fc",
"a# c #c5c5d4",
".Y c #c6c6c9",
".J c #c6c6cd",
"aX c #c7c7d4",
"az c #c7c7d6",
"#s c #c7e7fc",
"aJ c #c8c8d3",
"#j c #c9c9ce",
"#l c #c9ccd6",
"a1 c #cbcbd7",
"aN c #ccccce",
"bn c #ccccd2",
"aL c #ccccd5",
"#C c #ccceda",
"#4 c #cdcdd8",
"#k c #cdcdda",
"## c #d0d0d8",
"#A c #d0d0dc",
"bm c #d1d1d7",
"#m c #d1d1dd",
"#D c #d2d2dd",
".6 c #d2dae9",
"bf c #d4d4da",
"bl c #d4d4db",
"aR c #d4d4de",
"aK c #d4d4e0",
".5 c #d5dfec",
"bk c #d7d7df",
"#f c #d7e2f1",
"#O c #d8d8e2",
".4 c #d8e3f0",
"#g c #d8e4f2",
"#h c #d9e4f2",
".W c #dadae2",
"bj c #dbdbe3",
".7 c #dbe0ed",
"bi c #dcdce4",
"aO c #dedede",
".9 c #dfdfe5",
"#c c #dfdfe6",
"#. c #dfdfe7",
"#Z c #e0e0e7",
".X c #e0e0e8",
".N c #e0e5ee",
".3 c #e0eaf5",
"#T c #e1e1e8",
"#5 c #e3e3e9",
"aW c #e3e3eb",
".B c #e3e9f2",
".2 c #e3ecf6",
"#d c #e4e4eb",
"#0 c #e5e5ea",
"#U c #e5e5eb",
"#q c #e7e7ed",
".O c #e7eaf1",
".1 c #e7eff7",
"#H c #e8e8ee",
"#6 c #e9e9eb",
".C c #eaedf3",
".M c #eaf1f7",
"a. c #ebebef",
"#G c #ebebf0",
".w c #ebf1f7",
"#S c #ececf0",
".x c #ecf1f6",
".0 c #ecf2f8",
".L c #edf3f9",
".s c #eef3f9",
"#R c #f0f0f4",
"be c #f1f1f5",
".t c #f1f5fa",
".K c #f1f6fa",
".o c #f2f6fa",
"bd c #f3f3f6",
".p c #f3f8fb",
"a0 c #f4f4f7",
".k c #f5f8fb",
".l c #f6f9fc",
"a8 c #f7f7f9",
"a9 c #f8f8fa",
".g c #f9fbfd",
".f c #fafcfd",
"aZ c #fbfbfc",
".e c #fcfdfe",
"aY c #fefeff",
".d c #ffffff",
"QtQtQtQtQtQt.#.a.a.a.a.a.a.a.a.bQtQtQtQtQtQt",
"QtQtQtQtQtQt.c.d.d.d.d.d.e.f.g.h.iQtQtQtQtQt",
"QtQtQtQtQtQt.j.d.d.d.d.e.g.k.l.m.iQtQtQtQtQt",
"QtQtQtQtQtQt.n.d.d.d.e.g.k.o.p.q.iQtQtQtQtQt",
"QtQtQtQtQtQt.r.d.d.e.g.k.o.s.t.u.iQtQtQtQtQt",
"QtQtQtQtQtQt.v.d.e.g.k.o.s.w.x.y.iQtQtQtQtQt",
"QtQtQtQtQt.z.A.e.g.k.o.s.w.B.C.D.EQtQtQtQtQt",
"QtQt.F.G.H.I.J.g.k.K.L.M.B.N.O.P.Q.R.S.TQtQt",
".U.V.W.X.X.Y.Z.0.1.2.3.4.5.6.7.8.9.X#.###aQt",
"#b#c#d#d#d#e#f#g#g#g#h#h#h#h#f#i#j#k#l#m#n#o",
"#p#q#q#q#q#r#s#s#s#t#u#v#w#x#x#y#z#A#B#C#D#E",
"#F#G#G#H#c#I#J#K#L#M#M#M#M#M#M#M#N#O#O#O#O#P",
"#Q#R#S#T#U#V#W#X#X#X#X#X#X#X#X#X#Y#Z#Z#Z#0#1",
"#2#3#4#5#6#7#8#8#8#8#8#8#8#8#8#8#9a.#ca#aaab",
"acadadadaaaeafagahaiajakalamanaoapadadadadaq",
"arasasatauauauauauauauauauauauauauavasasawax",
"ayazazaAaBaCaDaDaDaDaDaDaDaDaDaDaEaFazazaGaH",
"aIaJaKaLaMaNaOaOaOaOaOaOaOaOaOaOaPaQaRaKaSaT",
"aUaVaWaWaXaY.d.d.d.d.d.d.d.d.daZa0a1aWaWa2a3",
"Qta4a5a6a7.d.d.d.d.d.d.d.d.daZa8a9b.b#babbQt",
"QtQtQtbcbd.d.d.d.d.d.d.d.daZa8a0bebfbgQtQtQt",
"QtQtQtbhbibibibibibibibibibjbkblbmbnboQtQtQt"];

our $image5;
our $image5_data =
["22 22 278 2",
"Qt c #750000",
"cf c #770101",
".# c #7a0303",
"cs c #850707",
"b6 c #880909",
".t c #9b1717",
".a c #9c1717",
"ct c #870808",
"bY c #8b0b0b",
"bQ c #8d0c0c",
"bD c #8f0e0e",
"bp c #900f0f",
"bf c #921010",
"a4 c #941111",
"aU c #951212",
"aH c #961313",
"aw c #981414",
"ag c #991515",
"#3 c #9a1616",
"#N c #9b1616",
"#v c #9c1717",
"#e c #9e1818",
".3 c #9e1919",
".L c #9f1919",
".b c #a01a1a",
"ay c #a43e3e",
"cg c #ab1919",
"#R c #ab7575",
"aK c #ad4141",
"ak c #ad6666",
"#B c #af7d7d",
"#P c #b41e1e",
"bl c #b43f3f",
"#4 c #b72121",
"aX c #b76b6b",
"#x c #b93737",
"#7 c #b94646",
"aB c #ba7474",
"ap c #ba7a7a",
"ai c #bb2424",
"#m c #bb7979",
"aT c #bc4444",
"aO c #bc7373",
"a# c #bc7575",
"bN c #bd4747",
"b. c #bd7272",
"bn c #be7171",
"a0 c #be7474",
"#l c #be9090",
"ch c #c12828",
"b3 c #c17070",
"ax c #c23232",
"bU c #c24949",
"b7 c #c32828",
"aG c #c34545",
"bg c #c36969",
"#C c #c56363",
"aJ c #c63535",
"aV c #c72b2b",
".v c #c96565",
"#n c #c98080",
"#O c #ca2e2e",
"#w c #cb2f2f",
"#y c #cb6363",
"#g c #cb6c6c",
"ah c #cc2f2f",
"aI c #cc3030",
"al c #cc3838",
"a2 c #cc4040",
"#1 c #cc8a8a",
"#f c #cd3030",
".4 c #cd3131",
"#o c #cd9999",
"a5 c #ce3030",
"ci c #ce3131",
".M c #ce3232",
"#h c #ce7474",
"ce c #cf3131",
"c. c #cf4949",
"#S c #cf5b5b",
"#6 c #cfb2b2",
".f c #d03232",
".e c #d03333",
"#Q c #d06e6e",
"cj c #d13333",
"bv c #d13d3d",
"am c #d14444",
".5 c #d17b7b",
".g c #d23333",
"ck c #d23434",
"av c #d23f3f",
"aL c #d33434",
"a8 c #d33636",
"az c #d33737",
"#8 c #d35252",
"a7 c #d3aeae",
"#k c #d3bebe",
"bq c #d43434",
".h c #d43535",
"an c #d44646",
"bt c #d46f6f",
"#i c #d47e7e",
".6 c #d48484",
"cl c #d53636",
"#9 c #d55353",
".i c #d63636",
"aM c #d63737",
"#T c #d66060",
".N c #d68989",
"bE c #d73737",
"cm c #d83838",
"bA c #d84444",
"#X c #d86464",
"#r c #d88585",
".7 c #d88d8d",
".j c #d93838",
"#U c #d96363",
".O c #d99494",
"bT c #d9b3b3",
"aY c #da3939",
"b9 c #da4d4d",
"#D c #da6f6f",
"ae c #dabebe",
".k c #db3939",
"cn c #db3a3a",
".P c #db9595",
".w c #db9898",
"bz c #dbb5b5",
"#K c #dbc1c1",
"co c #dc3b3b",
"c# c #dc4545",
"bF c #dc4646",
"#E c #dc7070",
"bZ c #dc7777",
".x c #dc9999",
"b2 c #dcb8b8",
"bc c #dcb9b9",
".l c #dd3b3b",
"cp c #dd3c3c",
"bR c #dd4848",
"cq c #de3c3c",
"#F c #de7272",
"#I c #de9797",
".y c #de9a9a",
".W c #deafaf",
"b0 c #deb9b9",
".m c #df3c3c",
"cr c #df3d3d",
"#p c #dfc6c6",
"bh c #e03d3d",
"#G c #e07373",
".z c #e09b9b",
"#. c #e0c9c9",
".n c #e13e3e",
"#W c #e1b2b2",
"bH c #e1b4b4",
".u c #e23f3f",
"aC c #e24444",
"bd c #e24747",
"aq c #e25050",
"aa c #e25c5c",
"#Y c #e26969",
"#H c #e27575",
"a. c #e28383",
"bS c #e2b5b5",
".o c #e33f3f",
"b8 c #e34040",
"## c #e39595",
".A c #e3a2a2",
".d c #e44040",
"b5 c #e44141",
"bi c #e44b4b",
"ar c #e45151",
"af c #e45757",
"ab c #e45e5e",
"#Z c #e46a6a",
"aA c #e47f7f",
"ao c #e48686",
".B c #e4a3a3",
".p c #e54040",
"bu c #e54242",
".C c #e59f9f",
"#5 c #e5b5b5",
"bX c #e64141",
"aP c #e64242",
"aD c #e64747",
"aN c #e67d7d",
".q c #e74242",
"bP c #e74343",
"ac c #e76060",
".J c #e77a7a",
".D c #e7a0a0",
"br c #e7b5b5",
".Q c #e7b6b6",
"aQ c #e84343",
"aE c #e84646",
"as c #e85454",
"#L c #e87979",
"aZ c #e87e7e",
"#0 c #e89494",
".E c #e8a1a1",
"a6 c #e8b8b8",
".V c #e8d4d4",
"bC c #e94343",
"bw c #e94444",
".F c #e9a2a2",
"aR c #ea4545",
"a9 c #ea7c7c",
".X c #ea9f9f",
"be c #eb4545",
".Y c #eba0a0",
".G c #eba3a3",
"#V c #ebb6b6",
"#z c #ebc8c8",
"a3 c #ec4545",
".2 c #ec4646",
"bI c #ec5d5d",
"aF c #ec5e5e",
"#a c #ec9494",
".H c #eca4a4",
"b# c #ed4646",
"#d c #ed4747",
".c c #ed4949",
"#s c #ed8989",
"#b c #ed9696",
".Z c #eda1a1",
".I c #eda5a5",
"ad c #edc1c1",
".R c #edd7d7",
"#u c #ee4747",
".s c #ee4a4a",
"aS c #ee5d5d",
"#2 c #ee6e6e",
"#M c #ee7878",
"#t c #ee8484",
"#c c #ee8f8f",
".1 c #ee9a9a",
".0 c #eea2a2",
".8 c #eed2d2",
"bk c #eedfdf",
"ba c #ef4848",
"bJ c #ef5d5d",
"at c #f08d8d",
"b1 c #f0e1e1",
"au c #f0e2e2",
"ca c #f14b4b",
".r c #f24a4a",
".K c #f24b4b",
"aW c #f2e1e1",
"#q c #f2ebeb",
"aj c #f3e0e0",
"bj c #f3e1e1",
"bM c #f3e6e6",
".U c #f3ebeb",
"a1 c #f48484",
"bK c #f48585",
"bG c #f4e6e6",
".S c #f4ecec",
"bV c #f54e4e",
"bm c #f57d7d",
"bx c #f57f7f",
"bL c #f5bebe",
"bs c #f5eded",
"#A c #f5f0f0",
"bo c #f64e4e",
"#j c #f7eded",
"#J c #f7f1f1",
"bb c #f8bcbc",
"cb c #f94f4f",
"bB c #fa5050",
"bO c #fb5151",
"by c #fbf0f0",
"bW c #fc5252",
"b4 c #fd5353",
"cc c #fe5353",
".T c #fefefe",
"cd c #ff5454",
".9 c #ffffff",
"Qt.#.a.b.b.b.b.b.b.b.b.b.b.b.b.b.b.b.b.a.#Qt",
".#.c.d.e.f.f.f.f.g.h.i.j.k.l.m.n.o.p.q.r.s.#",
".t.u.v.w.w.w.w.x.y.z.A.B.C.D.E.F.G.H.I.J.K.t",
".L.M.N.O.O.O.P.Q.R.S.T.T.U.V.W.X.Y.Z.0.1.2.L",
".3.4.5.6.6.7.8.9.9.9.9.9.9.9.9#.###a#b#c#d.3",
"#e#f#g#h#i#j.9.9#k#l#m#n#o#p.9.9#q#r#s#t#u#e",
"#v#w#x#y#z.9#A#B#C#D#E#F#G#H#I#J.9#K#L#M#d#v",
"#N#O#P#Q.9.9#R#S#T#U#V#W#X#Y#Z#0.9.9#1#2#u#N",
"#3#O#4#5.9#6#7#8#9a..9.9a#aaabacad.9aeaf#d#3",
"agahaiaj.9akalamanao.9.9apaqarasat.9auav#uag",
"aw#wax.T.9ay#f.fazaA.9.9aBaCaDaEaF.9.TaG#daw",
"aHaIaJ.T.9aK.faLaMaN.9.9aOaPaQaRaS.9.TaT#daH",
"aUahaVaW.9aXaLaMaYaZ.9.9a0aQaR.2a1.9aua2a3aU",
"a4a5#Oa6.9a7a8aY.la9.9.9b.aRb#babb.9bcbdbea4",
"bf#f#f#E.9.9bg.lbhbibjbkblb#babm.9.9bnboaRbf",
"bp#f.fbqbr.9bsbt.oaPbubvbwbabxby.9bzbAbBbCbp",
"bDa5bqbEbFbG.9.9bHaZbIbJbKbL.9.9bMbNbBbObPbD",
"bQ#fbEaY.lbRbS.9.9.9.9.9.9.9.9bTbUbVbObWbXbQ",
"bYaIaY.lbh.oaPbZb0b1.T.Tb1b2b3bFbBbObWb4b5bY",
"b6b7.lbhb8aPaQaRb#aEb9c.c#cacbbBbObWcccdceb6",
"cfcgchci.fcjck.hclbEcmaY.kcnco.lcpcqcr#wcgcf",
"QtcfcsctctctctctctctctctctctctctctctctcscfQt"];

our $image6;
our $image6_data =
["22 22 96 2",
".# c None",
"Qt c None",
"#p c #004cd8",
"#e c #004fe0",
".2 c #0050e2",
"#u c #004cd8",
"#a c #004ede",
"#t c #004cd8",
"#o c #004dda",
".W c #0052e8",
".O c #0054ee",
".C c #0055f2",
".v c #0057f6",
".o c #0059fc",
".6 c #004fe0",
".P c #0053ec",
".h c #035cff",
".V c #0053ea",
"#B c #004cd8",
".I c #0055f2",
".B c #0057f6",
".u c #0059fc",
".n c #035cff",
".d c #0960ff",
".a c #117bff",
"#b c #004ede",
".3 c #0050e2",
"## c #004ede",
"#D c #004cd8",
".X c #0050e4",
".c c #117bff",
"#A c #004cd8",
".5 c #0050e4",
"#f c #004dda",
"#v c #004cd8",
".1 c #0050e2",
".Q c #0052e8",
"#C c #004cd8",
"#c c #004ede",
"#n c #004cd8",
"#. c #004ede",
".U c #0052e8",
".J c #0054ee",
".D c #0056f4",
".w c #0058f8",
".p c #005afe",
"#j c #004cd8",
"#z c #004edc",
"#d c #004ede",
"#k c #0050e2",
".4 c #0050e4",
".7 c #0052e8",
".N c #0054ee",
"#l c #0055f0",
"#m c #0055f2",
".K c #0056f4",
"#g c #0057f6",
"#q c #0058f8",
".H c #0058fa",
".9 c #0059fc",
"#w c #015bff",
".0 c #035cff",
".i c #055dff",
".A c #065cfa",
".e c #0960ff",
"#y c #0d62ff",
".t c #1263f6",
".Y c #1366ff",
".b c #1382ff",
"#i c #1568ff",
"#x c #196aff",
"#s c #1b6bff",
".m c #1c67f2",
"#r c #216fff",
".T c #2371ff",
".M c #2572ff",
".g c #286eee",
"#h c #2975ff",
".8 c #2b76ff",
".R c #2f78ff",
".E c #337afb",
".Z c #377eff",
".S c #3d81ff",
".L c #4587ff",
".G c #4786f9",
".F c #5591ff",
".x c #6190e5",
".z c #6e9cf0",
".y c #79a8ff",
".q c #7da1e3",
".s c #8db0f1",
".j c #94b0e4",
".f c #96afde",
".r c #9fc1ff",
".l c #abc4f1",
".k c #c5daff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.#.#.#.#.a.b.c.#.#.#.#.#.#.#.#.#.#.#.#.#.#",
".#.#.#.#.d.e.f.g.d.#.#.#.#.#.#.#.#.#.#.#.#.#",
".#.#.#.h.i.j.k.l.m.n.#.#.#.#.#.#.#.#.#.#.#.#",
".#.#.o.p.q.r.r.r.s.t.u.#.#.#.#.#.#.#.#.#.#.#",
".#.v.w.x.y.y.y.y.y.z.A.B.#.#.#.#.#.#.#.#.#.#",
".C.D.E.F.F.F.F.F.F.F.G.H.I.#.#.#.#.#.#.#.#.#",
".J.K.i.i.e.L.L.L.M.i.i.H.N.O.#.#.#.#.#.#.#.#",
".P.P.P.P.Q.R.S.S.T.U.V.P.P.#.#.#.#.#.#.#.W.U",
".#.#.#.#.X.Y.Z.Z.Z.0.1.2.#.#.#.#.#.#.#.3.4.5",
".#.#.#.#.6.7.8.R.R.R.9#.###a.#.##a#b#c#d#.#e",
".#.#.#.#.##f#g#h#h#h#h#i#g#d#j#j#k#l#m#n#o.#",
".#.#.#.#.##p#n#q#r#r#r#r#r#r#r#r#s#q#n#t.#.#",
".#.#.#.#.#.##u#v.4#w#i#x#x#x#y#g#z#A#p.#.#.#",
".#.#.#.#.#.#.#.##B#v#j#d.7#j#C#D#t.#.#.#.#.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"];

our $image7;
our $image7_data =
["22 22 97 2",
".# c None",
"Qt c None",
".K c #0057f6",
".x c #015bff",
".i c #075fff",
".P c #0058fa",
".r c #075fff",
"#z c #004dda",
"#t c #004fe0",
"#m c #0051e6",
"#a c #0053ea",
".5 c #0055f0",
".y c #0059fc",
".s c #035cff",
".a c #0d73ff",
"#D c #004cd8",
".6 c #0053ec",
".V c #0058f8",
".7 c #0053ec",
"#A c #004cd8",
"#u c #004dda",
"#n c #004fe0",
"#h c #0051e6",
".h c #0f75ff",
".Y c #0057f6",
".O c #0058fa",
".Q c #0058fa",
"#E c #004cd8",
".3 c #0056f4",
".b c #117bff",
".W c #0055f2",
".j c #0960ff",
".J c #005afe",
"## c #0054ee",
".Z c #0056f4",
".q c #0960ff",
".g c #1382ff",
".N c #0058f8",
".c c #1382ff",
"#y c #004cd8",
"#s c #004ede",
"#l c #0050e4",
"#g c #0052e8",
".4 c #0054ee",
".L c #0058f8",
".z c #005afe",
".t c #055dff",
"#C c #004cd8",
"#B c #004edc",
"#v c #004ede",
"#o c #0050e2",
"#b c #0052e8",
"#f c #0054ee",
".X c #0056f4",
".M c #0058f8",
".D c #005afe",
"#e c #055dff",
"#x c #0b61ff",
".U c #1263f6",
"#r c #1366ff",
".d c #1382ff",
".E c #1764f1",
"#k c #1769ff",
"#w c #196aff",
"#c c #1f6eff",
"#p c #216fff",
".0 c #256ef5",
"#i c #2773ff",
".k c #286eee",
".C c #2a6de8",
".8 c #2b76ff",
"#q c #2f78ff",
".2 c #3178f9",
"#. c #357cff",
"#j c #377eff",
"#d c #3d81ff",
".9 c #4587ff",
".R c #477ee3",
".f c #4f97e1",
".A c #5584db",
".1 c #5591ff",
".p c #5685da",
".B c #5a86d8",
".I c #5c89dc",
".F c #668ed6",
".T c #74a3fa",
".S c #77a7ff",
".e c #79a6d5",
".u c #7d9dd7",
".l c #8ca8da",
".G c #8daeeb",
".H c #9dc0ff",
".o c #aabfe6",
".v c #bcd2fa",
".w c #c3d8ff",
".m c #c9d9f3",
".n c #ebf2ff",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
".#.#.#.#.#.a.b.c.d.e.f.d.g.h.#.#.#.#.#.#.#.#",
".#.#.#.i.j.k.l.m.n.n.n.n.o.p.q.r.#.#.#.#.#.#",
".#.#.s.t.u.v.w.w.w.w.w.w.w.w.u.t.x.#.#.#.#.#",
".#.y.z.A.B.C.D.D.E.F.G.H.H.H.H.I.J.#.#.#.#.#",
".K.L.M.N.O.P.#.#.P.Q.L.R.S.S.S.T.U.V.#.#.#.#",
".W.X.Y.#.#.#.#.#.#.#.K.Z.0.1.1.1.2.3.#.#.#.#",
".4.5.#.#.#.#.#.#.#.6.6.7.4.8.9.9#.##.6.6.6.6",
".#.#.#.#.#.#.#.##a#b.X.D.D#c#d#d#d#e.D.D#f#g",
".#.#.#.#.#.#.#.#.##h#b#i#j#j#j#j#j#j#j#k#l#m",
".#.#.#.#.#.#.#.#.#.##n#o#p#q#q#q#q#q#r#s#t.#",
".#.#.#.#.#.#.#.#.#.#.##u#v#w#i#i#i#x#y#z.#.#",
".#.#.#.#.#.#.#.#.#.#.#.##A#B#r#p#e#C#D.#.#.#",
".#.#.#.#.#.#.#.#.#.#.#.#.##A#B.M#C#A.#.#.#.#",
".#.#.#.#.#.#.#.#.#.#.#.#.#.##E#C#A.#.#.#.#.#",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQt"];

our $image8;
our $image8_data =
["22 22 191 2",
".# c None",
"Qt c None",
"#g c #4d4d74",
".6 c #5a5a7f",
".X c #6e6e8e",
"aw c #7e451a",
".S c #82829e",
"a8 c #884d1a",
"aL c #95571b",
".L c #9696ad",
"#h c #9f601b",
"ap c #ac6a1c",
".a c #b5b5c6",
"aa c #ba751c",
"#I c #c67e1d",
"#E c #d3891d",
"aX c #8f531a",
".7 c #ac6a1c",
"a3 c #864d1a",
"aW c #975a1b",
"#R c #cb821d",
"aE c #b06d1c",
"#w c #db8e1e",
"ai c #bb751c",
".Y c #be781c",
".G c #646486",
".z c #787896",
".t c #8c8ca6",
"aB c #9a5c1b",
".n c #9f9fb5",
".j c #b4b4c5",
"#v c #b7731c",
".1 c #d1861d",
"#D c #d4891d",
"#c c #da8d1e",
"ae c #dd901e",
"#U c #894e1a",
"as c #c57e1d",
"#C c #d4891d",
"aO c #a0601b",
"aH c #a9671b",
"av c #b26e1c",
".Z c #c57d1d",
".0 c #cb821d",
"#8 c #8a4f1a",
"#H c #995b1b",
"ax c #81471a",
"a7 c #854c1a",
"aP c #97591b",
"#s c #9a5b1b",
"aK c #9c5c1b",
".C c #9e9eb4",
"ao c #b06e1a",
"#V c #b7731c",
"aS c #854b1a",
"a2 c #8e521a",
".d c #b5b5c6",
"af c #da8e1e",
"aj c #8b4d17",
"#9 c #a4631a",
"aF c #b06d1c",
"#f c #56567b",
".5 c #5b5b7f",
".W c #6e6e8e",
".R c #81819d",
".K c #9494ac",
"aA c #a46217",
".8 c #ba761c",
"#Y c #c6811d",
".b c #c7c7d4",
"#b c #d7901e",
"a4 c #975515",
"aT c #9a5917",
".k c #bcbccc",
"aI c #be7817",
"#4 c #cf8b1e",
"at c #d38e1c",
"#7 c #a65f12",
"aY c #a66114",
"ay c #b1630f",
"#i c #ba7619",
"aM c #c07915",
"#Q c #da991f",
"ad c #e5a11e",
"#r c #715d5f",
".2 c #736d84",
".O c #777795",
"#e c #797997",
".3 c #7f7f9c",
"#q c #827d92",
".F c #8585a0",
".T c #8e8ea8",
".y c #9393ab",
".M c #9898b0",
".U c #9e9eb4",
".s c #9f9fb5",
"#d c #a49686",
".D c #a4a4ba",
".P c #ababbf",
".m c #acacc0",
".w c #b1b1c3",
"a6 c #b5630d",
".4 c #b5b5c7",
"#p c #b6b25c",
"#F c #b76d12",
".i c #b8b8c9",
"az c #bb6b0f",
".H c #bcbccb",
".q c #bdbdcc",
".A c #bdbdcd",
"#5 c #be6a0b",
".u c #c0c0cf",
".f c #c3c3d2",
".c c #c5c5d3",
"a5 c #c66c08",
".g c #c7c7d4",
".l c #c9c9d6",
"#S c #ca740b",
"#u c #cd8617",
".o c #cdcdda",
".v c #cfcfdb",
"aV c #d07f0f",
"aR c #d37f0d",
"aC c #d38e17",
".Q c #d3d3de",
".V c #d5d5df",
".N c #dadae4",
"an c #db8e11",
"#M c #dc9e20",
"aq c #de9d1a",
".p c #dfdfe8",
"#l c #e09c1d",
"#B c #e0a122",
"ab c #e3a81d",
".J c #e3e3ea",
".E c #e4e4eb",
"a. c #e69c13",
"#A c #e6aa23",
"#Z c #e7b220",
"#T c #e88a06",
"#k c #eaaa1a",
".9 c #ebb21c",
"#J c #edb01d",
"ah c #edb41d",
".x c #efeff3",
"ak c #f08200",
"#m c #f1b520",
".I c #f1f1f5",
".B c #f1f1f6",
"a1 c #f28c01",
"aU c #f29507",
"aD c #f3ab13",
"#a c #f3c826",
"#t c #f5a20d",
"aN c #f5a30d",
"#o c #f5d029",
"#x c #f6be20",
"a# c #f8b415",
"#W c #f8ba19",
"#O c #f8d026",
"ag c #f9c11e",
".r c #f9f9fc",
"#G c #fa9e07",
"#X c #fac31d",
"aQ c #fb9c06",
"#P c #fbd627",
"aJ c #fca80b",
"ar c #fcbd19",
"#L c #fdd525",
"au c #fec018",
".e c #fefeff",
"aZ c #ff9500",
"#6 c #ff9700",
"a0 c #ff9900",
"al c #ffa000",
"am c #ffa905",
"#j c #ffbf14",
"aG c #ffc011",
"#1 c #ffd324",
"ac c #ffda1e",
"#. c #ffda22",
"#2 c #ffdc25",
"#K c #ffdf22",
"#3 c #ffdf24",
"#n c #ffe426",
"#0 c #ffe625",
"#z c #ffe62d",
"## c #ffe926",
"#N c #ffeb2a",
"#y c #fff22c",
".h c #ffffff",
"QtQt.#.#.#.#.#.#.#.#.#.a.b.c.#.#.#.#.#.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#.d.e.f.#.#.#.#.#.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#.g.h.i.#.#.#.#.j.kQtQt",
"QtQt.#.#.#.#.#.#.#.#.#.l.h.m.#.#.#.n.o.pQtQt",
"QtQt.#.#.#.#.#.#.#.#.#.q.r.s.#.#.t.u.h.vQtQt",
"QtQt.#.#.#.#.#.#.#.#.#.w.x.y.#.z.A.h.B.CQtQt",
"QtQt.#.#.#.#.#.#.#.#.#.D.E.F.G.H.I.J.K.LQtQt",
"QtQt.#.#.#.#.#.#.#.#.#.M.N.O.P.J.Q.R.S.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#.T.s.U.V.f.W.X.#.#QtQt",
"QtQt.#.#.#.Y.Z.0.1.#.#.2.3.g.4.5.6.#.#.#QtQt",
"QtQt.#.7.8.9#.###a#b#c#d.l#e#f#g.#.#.#.#QtQt",
"QtQt#h#i#j#k#l#m#n#a#o#p#q#r#g.#.#.#.#.#QtQt",
"QtQt#s#t#u#v.##w#x###y#z#A#B#C#D#E.#.#.#QtQt",
"QtQt#F#G#H.#.##I#J#K#L#M#N#O#P#O#Q#R.#.#QtQt",
"QtQt#S#T#U.#.##V#W#X#Y#Z#0#0#1#2#3#4.#.#QtQt",
"QtQt#5#6#7#8#9a.a#.8aaabacadaeafagahai.#QtQt",
"QtQtajak#6alamanaoap.#aqaras.#.#atauav.#QtQt",
"QtQtawaxayazaAaB.#.#.#aCaDaE.#.#aFaGaH.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#aIaJaK.#aLaMaNaO.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#aPaQaRaSaTaUaVaW.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#aXaYaZa0a0a1a2.#.#QtQt",
"QtQt.#.#.#.#.#.#.#.#.#.#a3a4a5a6a7a8.#.#QtQt"];

our $image9;
our $image9_data =
["22 22 39 1",
". c None",
"a c #a3a3af",
"n c #ceced6",
"s c #d0d0d8",
"r c #d2d2da",
"# c #d4d4dc",
"E c #d6d6dc",
"i c #d7d7dd",
"D c #d9d9e1",
"m c #dbdbe1",
"H c #dbdbe3",
"q c #dedee4",
"G c #dfdfe5",
"F c #e0e0e6",
"I c #e2e2e8",
"v c #e3e3e9",
"J c #e4e4ea",
"K c #e6e6ec",
"x c #e8e8ec",
"l c #e9e9ed",
"u c #eaeaee",
"A c #ebebef",
"e c #ececf0",
"z c #ededf1",
"f c #eeeef2",
"p c #f0f0f4",
"j c #f1f1f5",
"y c #f2f2f6",
"k c #f3f3f7",
"o c #f4f4f8",
"t c #f5f5f7",
"B c #f6f6f8",
"d c #f7f7fb",
"w c #f9f9fb",
"h c #fafafc",
"c c #fbfbfd",
"C c #fcfcfe",
"g c #fefefe",
"b c #ffffff",
".########a............",
".#bbbcdef#a...........",
".#bbbghff#ia..........",
".#bbbgcjfaaaa.........",
".#bbbgckflmna.........",
".#bbbbgopqrsa.........",
".#bbbbgtf########a....",
".#bbbcduv#bbbcdef#a...",
".#bbgwplx#bbbghff#ia..",
".#bbcypzA#bbbgcjfaaaa.",
".#bgBkjfz#bbbgckflmna.",
".#bCtkjfz#bbbbgopqrsa.",
".#bdtkypz#bbbbgtfDE#a.",
".#btoyjfz#bbbcduvFGHa.",
".#gttkjfz#bbgwplxvIFa.",
".aaaaaaaa#bbcypzAxJva.",
".........#bgBkjfzlKva.",
".........#bCtkjfzuxJa.",
".........#bdtkypzuxJa.",
".........#btoyjfzlxJa.",
".........#gttkjfzuxJa.",
".........aaaaaaaaaaaa."];

our $image10;
our $image10_data =
["22 22 117 2",
"Qt c None",
".c c None",
".i c #d6912b",
".b c #8888a1",
".# c #8989a1",
".j c #d8922b",
".h c #7d7d97",
".d c #7e7e98",
".a c #8989a1",
".k c #d9932b",
".q c #997e68",
".l c #9a7f69",
".r c #cc892a",
"#X c #7b4924",
"#U c #7b4925",
".C c #848380",
".B c #858481",
".x c #8a8687",
".u c #8b8788",
".p c #8b8ba2",
".m c #8b8ba4",
"#Y c #905620",
"#R c #915923",
"#N c #915a25",
"#H c #926129",
"#B c #92642c",
"#s c #93652e",
"#k c #936730",
"#. c #946832",
".3 c #956a34",
".g c #9797ac",
".e c #9898ad",
".N c #9c9cb6",
".0 c #9d7136",
".U c #a77a38",
".O c #b1833b",
".K c #bb8d3d",
".v c #c4c4d0",
".J c #c6903c",
".F c #c69640",
".H c #c8c37f",
".9 c #c9c9da",
".E c #cc943a",
".z c #cc973c",
"#j c #ccccdb",
"#i c #cecedd",
".M c #d0d0df",
"#r c #d2d2e0",
".Z c #d3d3e1",
"#q c #d5d5e4",
".8 c #d7d7e5",
"#A c #d8d8e6",
"#h c #dadae7",
"#z c #dbdbe8",
"#y c #dcdce9",
"#V c #de8c13",
"#G c #dedeeb",
"#x c #e0e0ec",
"#M c #e1e1ed",
".w c #e3e3e9",
"#Q c #e4e4ee",
"#W c #e59111",
"#F c #e5e5ef",
".7 c #e6e6f0",
"#S c #e79719",
"#w c #e7e7f0",
".y c #e8c662",
".s c #e8c66b",
"#L c #e8e8f1",
"#O c #e99d20",
".S c #e9e9f2",
"#K c #eaeaf3",
"#I c #eba328",
".T c #ebebf4",
"#D c #eca92f",
".Y c #ececf4",
"#C c #edb636",
".o c #ededf0",
"#v c #eeaf37",
"#u c #eeb43a",
"#g c #eeeef5",
"#t c #efc744",
".2 c #efeff6",
"#o c #f0b53f",
"#n c #f0ba41",
"#J c #f0f0f7",
"#m c #f1cc4c",
"#l c #f1ce4d",
".6 c #f1f1f8",
"#d c #f2bb46",
"#c c #f2bd47",
"#b c #f2c14a",
"#a c #f2cb4f",
"#f c #f2f2f9",
"## c #f3d454",
"#p c #f3f3f9",
".4 c #f4da5c",
".t c #f4e389",
"#P c #f4f4fa",
".n c #f5f5f7",
".R c #f5f5fc",
".1 c #f6df64",
"#E c #f6f6fd",
".V c #f8e56c",
".X c #f8f8fe",
".P c #f9eb74",
".Q c #f9f9fe",
"#T c #fafaff",
".L c #fbf07c",
".W c #fcfcff",
".I c #fdef7e",
".G c #fdf683",
".5 c #fdfdff",
".D c #fef989",
".A c #fefc8b",
"#e c #fefeff",
".f c #ffffff",
"QtQtQtQtQt.#.a.a.a.a.bQtQtQtQtQt.c.c.c.c.c.c",
"QtQtQtQt.d.e.f.f.f.f.g.hQtQtQt.c.c.c.c.c.c.c",
".i.j.k.l.m.f.n.n.n.n.o.p.q.k.j.c.c.c.c.c.c.c",
".r.s.t.u.v.w.w.w.w.w.w.v.x.t.y.r.c.c.c.c.c.c",
".z.A.A.B.v.v.v.v.v.v.v.v.C.A.D.E.c.c.c.c.c.c",
".F.G.G.H.B.B.B.B.B.B.B.B.H.G.I.J.c.c.c.c.c.c",
".K.L.L.L.L.L.L.L.L.M.M.M.M.M.M.M.M.N.c.c.c.c",
".O.P.P.P.P.P.P.P.P.M.f.f.f.Q.R.S.T.M.N.c.c.c",
".U.V.V.V.V.V.V.V.V.M.f.f.f.W.X.Y.T.M.Z.N.c.c",
".0.1.1.1.1.1.1.1.1.M.f.f.f.W.Q.2.T.N.N.N.N.c",
".3.4.4.4.4.4.4.4.4.M.f.f.f.5.Q.6.T.7.8.9.N.c",
"#.#######a#b#c#d#d.M.f.f.f#e.W#f#g#h#i#j.N.c",
"#k#l#m#n#o#o#o#o#o.M.f.f.f.f.W#p.T#q#r.M.N.c",
"#s#t#u#v#v#v#v#v#v.M.f.f#e.Q.R#w#x#y#z#A.N.c",
"#B#C#D#D#D#D#D#D#D.M.f#e.5#E#g.7#F#x#G#y.N.c",
"#H#I#I#I#I#I#I#I#I.M.f.f.Q#J#g#K#L#F#M#x.N.c",
"#N#O#O#O#O#O#O#O#O.M.f.5#P.6.2.T#K.7#Q#x.N.c",
"#R#S#S#S#S#S#S#S#S.M.f#T#p.6.2.T#K#w#F#M.N.c",
"#U#V#W#W#W#W#W#W#W.M.f.R#p.6#J#g#K#w#F#M.N.c",
".c#X#Y#Y#Y#Y#Y#Y#Y.M.f#p#f#J.2.Y#K.7#F#M.N.c",
".c.c.c.c.c.c.c.c.c.M.W#p#p.6.2.T#K#w#F#M.N.c",
".c.c.c.c.c.c.c.c.c.N.N.N.N.N.N.N.N.N.N.N.N.c"];

our $image11;
our $image11_data =
["22 22 185 2",
"ak c None",
"Qt c None",
"#O c #404063",
"#S c #676784",
".C c #87879f",
".B c #9494a5",
".# c #a7a7b8",
"#N c #4c4c62",
"ad c #7b7b95",
".X c #838393",
".q c #9e9eae",
"ae c #74748e",
"#T c #434360",
"#Y c #75758f",
"ac c #46465e",
"aU c #5f3017",
"aO c #613217",
"aH c #6f3b18",
"aA c #7d4618",
"au c #8d5019",
".r c #9494a5",
".h c #a0a0ae",
".g c #ababb5",
"#8 c #46465e",
"#F c #4c4c62",
"#E c #595965",
".7 c #7e7e86",
".M c #848494",
"aZ c #5f3017",
"aN c #6a3818",
"aG c #784218",
"az c #874d19",
"ar c #975819",
"aj c #a66219",
".a c #acacb6",
"#7 c #b66d1a",
"a2 c #4b4b6b",
"ab c #4b4b59",
"#y c #65656b",
"#p c #6f6f73",
"#h c #76767c",
".L c #95979f",
".p c #a5a8ae",
".f c #acaeb6",
"#9 c #5b5e6b",
"#z c #606472",
".Y c #7d818e",
"af c #847678",
"#P c #5b5f6c",
"#Z c #5f636f",
".D c #9096a2",
"am c #985919",
".i c #9da4af",
".A c #a3a5a9",
".b c #a7acb7",
"at c #098d00",
"al c #09c600",
"#R c #5d5d67",
"#2 c #62626c",
"a0 c #683919",
"#W c #68686e",
"aT c #693a1d",
"a1 c #6c6373",
"a. c #6d6f75",
"a# c #707276",
"aa c #707278",
"#U c #71767f",
"aY c #746a79",
"#q c #777b85",
"aX c #7f5432",
".8 c #7f838d",
"#X c #838397",
"#i c #848990",
"#3 c #89899c",
"#M c #8c8d90",
"aV c #97672f",
"aP c #98672f",
".s c #999ea7",
"#G c #99a0a7",
"aI c #9f6c2e",
"#5 c #a0928f",
".N c #a0a8b0",
"#4 c #a1a1b3",
"#1 c #a5a7a9",
".W c #a7abaf",
".j c #a7afb7",
"aB c #a8732d",
"#0 c #a8aeb2",
".c c #a8aeb6",
".d c #a9aeb5",
"ag c #aa6c27",
".e c #adb1b6",
".t c #adb7bf",
".o c #b0b6bc",
".Z c #b0bbc2",
".k c #b1bbc3",
"av c #b27a2d",
"aM c #b7680d",
".9 c #b7c1c7",
".n c #b8c2c8",
".l c #bac4ca",
"#r c #bbc5cb",
".m c #bcc6cc",
"as c #bcea7e",
"aF c #bd6c0e",
".z c #bdc6cb",
".E c #bdc7cd",
"#6 c #be7620",
".K c #bec6ca",
".w c #c0c9ce",
".u c #c0cace",
".J c #c1cacf",
"#. c #c1cbcf",
"#j c #c2ccd0",
"ay c #c3720f",
".v c #c3cdd1",
"#A c #c4ced2",
".x c #c5cfd3",
"#k c #c6d0d4",
".6 c #c7cecf",
"#H c #c7d1d5",
".y c #c8d2d6",
"aq c #c97610",
".F c #cad3d6",
".T c #cbd4d7",
"#s c #ccd5d8",
".R c #cdd6d9",
".U c #ced8da",
"ai c #cf7b10",
"#l c #cfd8db",
".I c #d0dadc",
"#D c #d1d4d5",
"#t c #d2dadc",
".G c #d2dbdc",
"#c c #d2dcde",
"#V c #d3d5d7",
".H c #d4ddde",
".3 c #d5dedf",
"#Q c #d6d7d8",
".V c #d6dfe0",
".O c #d8e1e2",
".4 c #d9e2e3",
".S c #dae3e4",
".5 c #dce4e4",
"#B c #dde5e5",
"#e c #dee6e6",
"#g c #dfe7e7",
"ah c #e09c34",
".2 c #e0e7e8",
"#f c #e0e8e8",
".P c #e1e9e9",
"aS c #e29e32",
"## c #e2e9ea",
".Q c #e4eaea",
"#b c #e5eaeb",
"#o c #e5ebeb",
"#n c #e6ecec",
"#d c #e7eded",
"#v c #e8eeee",
"#x c #e9efef",
"an c #ebcb7c",
"#u c #ebefef",
"aL c #eca636",
"aE c #eca737",
"ap c #eca839",
"#m c #ecf0f0",
"#w c #edf1f1",
".0 c #eef2f2",
"#I c #eff3f3",
"#a c #f1f5f5",
"aW c #f2dc96",
".1 c #f3f5f5",
"#C c #f4f6f6",
"aR c #f6d384",
"aK c #f6d585",
"aD c #f6d687",
"ax c #f6d688",
"ao c #f6d78b",
"#J c #f6f8f8",
"#L c #f7f9f9",
"#K c #fbfbfb",
"aw c #fde89b",
"aC c #fde99e",
"aJ c #fde99f",
"aQ c #fdeba0",
"QtQtQt.#.a.b.c.d.e.f.gQtQtQtQtQtQtQtQtQtQtQt",
"QtQt.h.i.j.k.l.m.m.n.o.p.qQtQtQtQtQtQtQtQtQt",
"Qt.r.s.t.l.u.v.v.w.x.y.z.A.BQtQtQtQtQtQtQtQt",
".C.D.t.E.F.G.H.I.x.J.y.I.K.LQtQtQtQtQtQtQtQt",
".M.N.n.y.O.P.Q.R.S.T.U.I.V.W.XQtQtQtQtQtQtQt",
".Y.Z.E.I.P.0.1.T.2.3.4.4.5.6.7QtQtQtQtQtQtQt",
".8.9#..G###a#b#c#d#e#f.P#f#g#hQtQtQtQtQtQtQt",
"#i.l#j.v#k#l.G#f#m.Q#n#d#d#o#pQtQtQtQtQtQtQt",
"#q#r#j#s.I#t.2#u.Q#v#m.0#w#x#yQtQtQtQtQtQtQt",
"#z.n#A#r.T.3#B.P#d#w#a#C.1#D#EQtQtQtQtQtQtQt",
"#F#G#A#j#H#c#B###x#I#J#K#L#M#NQtQtQtQtQtQtQt",
"#O#P.E.T.F#c#B###x#I#J#K#Q#R#SQtQtQtQtQtQtQt",
"Qt#T#U#A.G#c.S.P#d#w#a#V#W#X#YQtQtQtQtQtQtQt",
"QtQt#T#Z#0#c.S#g.Q#v#1#2#3#4#5#6#7QtQtQtQtQt",
"QtQtQt#O#8#9a.a#aaabacadaeafagahaiajQtQtQtQt",
"akakalalalakakQtQtQtQtQtQtamanaoapaqarQtQtQt",
"akakalasatakakQtQtQtQtQtQtauavawaxapayazQtQt",
"alalalasatatatQtQtQtQtQtQtQtaAaBaCaDaEaFaGQt",
"alasasasasasatQtQtQtQtQtQtQtQtaHaIaJaKaLaMaN",
"atatalasatatatQtQtQtQtQtQtQtQtQtaOaPaQaRaSaT",
"akakalasatakakQtQtQtQtQtQtQtQtQtQtaUaVaWaXaY",
"akakatatatakakQtQtQtQtQtQtQtQtQtQtQtaZa0a1a2"];

our $image12;
our $image12_data =
["22 22 184 2",
"Qt c None",
"#O c #404063",
"#S c #676784",
".C c #87879f",
".B c #9494a5",
".# c #a7a7b8",
"#N c #4c4c62",
"ad c #7b7b95",
".X c #838393",
".q c #9e9eae",
"ae c #74748e",
"#T c #434360",
"#Y c #75758f",
"ac c #46465e",
"aT c #5f3017",
"aN c #613217",
"aG c #6f3b18",
"ay c #7d4618",
"aq c #8d5019",
".r c #9494a5",
".h c #a0a0ae",
".g c #ababb5",
"#8 c #46465e",
"#F c #4c4c62",
"#E c #595965",
".7 c #7e7e86",
".M c #848494",
"aY c #5f3017",
"aM c #6a3818",
"aE c #784218",
"av c #874d19",
"ap c #975819",
"aj c #a66219",
".a c #acacb6",
"#7 c #b66d1a",
"a1 c #4b4b6b",
"ab c #4b4b59",
"#y c #65656b",
"#p c #6f6f73",
"#h c #76767c",
".L c #95979f",
".p c #a5a8ae",
".f c #acaeb6",
"#9 c #5b5e6b",
"#z c #606472",
".Y c #7d818e",
"af c #847678",
"#P c #5b5f6c",
"#Z c #5f636f",
".D c #9096a2",
"ak c #985919",
".i c #9da4af",
".A c #a3a5a9",
".b c #a7acb7",
"ax c #098d00",
"aw c #09c600",
"#R c #5d5d67",
"#2 c #62626c",
"aZ c #683919",
"#W c #68686e",
"aS c #693a1d",
"a0 c #6c6373",
"a. c #6d6f75",
"a# c #707276",
"aa c #707278",
"#U c #71767f",
"aX c #746a79",
"#q c #777b85",
"aW c #7f5432",
".8 c #7f838d",
"#X c #838397",
"#i c #848990",
"#3 c #89899c",
"#M c #8c8d90",
"aU c #97672f",
"aO c #98672f",
".s c #999ea7",
"#G c #99a0a7",
"aH c #9f6c2e",
"#5 c #a0928f",
".N c #a0a8b0",
"#4 c #a1a1b3",
"#1 c #a5a7a9",
".W c #a7abaf",
".j c #a7afb7",
"az c #a8732d",
"#0 c #a8aeb2",
".c c #a8aeb6",
".d c #a9aeb5",
"ag c #aa6c27",
".e c #adb1b6",
".t c #adb7bf",
".o c #b0b6bc",
".Z c #b0bbc2",
".k c #b1bbc3",
"ar c #b27a2d",
"aL c #b7680d",
".9 c #b7c1c7",
".n c #b8c2c8",
".l c #bac4ca",
"#r c #bbc5cb",
".m c #bcc6cc",
"aF c #bcea7e",
"aD c #bd6c0e",
".z c #bdc6cb",
".E c #bdc7cd",
"#6 c #be7620",
".K c #bec6ca",
".w c #c0c9ce",
".u c #c0cace",
".J c #c1cacf",
"#. c #c1cbcf",
"#j c #c2ccd0",
"au c #c3720f",
".v c #c3cdd1",
"#A c #c4ced2",
".x c #c5cfd3",
"#k c #c6d0d4",
".6 c #c7cecf",
"#H c #c7d1d5",
".y c #c8d2d6",
"ao c #c97610",
".F c #cad3d6",
".T c #cbd4d7",
"#s c #ccd5d8",
".R c #cdd6d9",
".U c #ced8da",
"ai c #cf7b10",
"#l c #cfd8db",
".I c #d0dadc",
"#D c #d1d4d5",
"#t c #d2dadc",
".G c #d2dbdc",
"#c c #d2dcde",
"#V c #d3d5d7",
".H c #d4ddde",
".3 c #d5dedf",
"#Q c #d6d7d8",
".V c #d6dfe0",
".O c #d8e1e2",
".4 c #d9e2e3",
".S c #dae3e4",
".5 c #dce4e4",
"#B c #dde5e5",
"#e c #dee6e6",
"#g c #dfe7e7",
"ah c #e09c34",
".2 c #e0e7e8",
"#f c #e0e8e8",
".P c #e1e9e9",
"aR c #e29e32",
"## c #e2e9ea",
".Q c #e4eaea",
"#b c #e5eaeb",
"#o c #e5ebeb",
"#n c #e6ecec",
"#d c #e7eded",
"#v c #e8eeee",
"#x c #e9efef",
"al c #ebcb7c",
"#u c #ebefef",
"aK c #eca636",
"aC c #eca737",
"an c #eca839",
"#m c #ecf0f0",
"#w c #edf1f1",
".0 c #eef2f2",
"#I c #eff3f3",
"#a c #f1f5f5",
"aV c #f2dc96",
".1 c #f3f5f5",
"#C c #f4f6f6",
"aQ c #f6d384",
"aJ c #f6d585",
"aB c #f6d687",
"at c #f6d688",
"am c #f6d78b",
"#J c #f6f8f8",
"#L c #f7f9f9",
"#K c #fbfbfb",
"as c #fde89b",
"aA c #fde99e",
"aI c #fde99f",
"aP c #fdeba0",
"QtQtQt.#.a.b.c.d.e.f.gQtQtQtQtQtQtQtQtQtQtQt",
"QtQt.h.i.j.k.l.m.m.n.o.p.qQtQtQtQtQtQtQtQtQt",
"Qt.r.s.t.l.u.v.v.w.x.y.z.A.BQtQtQtQtQtQtQtQt",
".C.D.t.E.F.G.H.I.x.J.y.I.K.LQtQtQtQtQtQtQtQt",
".M.N.n.y.O.P.Q.R.S.T.U.I.V.W.XQtQtQtQtQtQtQt",
".Y.Z.E.I.P.0.1.T.2.3.4.4.5.6.7QtQtQtQtQtQtQt",
".8.9#..G###a#b#c#d#e#f.P#f#g#hQtQtQtQtQtQtQt",
"#i.l#j.v#k#l.G#f#m.Q#n#d#d#o#pQtQtQtQtQtQtQt",
"#q#r#j#s.I#t.2#u.Q#v#m.0#w#x#yQtQtQtQtQtQtQt",
"#z.n#A#r.T.3#B.P#d#w#a#C.1#D#EQtQtQtQtQtQtQt",
"#F#G#A#j#H#c#B###x#I#J#K#L#M#NQtQtQtQtQtQtQt",
"#O#P.E.T.F#c#B###x#I#J#K#Q#R#SQtQtQtQtQtQtQt",
"Qt#T#U#A.G#c.S.P#d#w#a#V#W#X#YQtQtQtQtQtQtQt",
"QtQt#T#Z#0#c.S#g.Q#v#1#2#3#4#5#6#7QtQtQtQtQt",
"QtQtQt#O#8#9a.a#aaabacadaeafagahaiajQtQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtakalamanaoapQtQtQt",
"QtQtQtQtQtQtQtQtQtQtQtQtQtaqarasatanauavQtQt",
"awawawawawawaxQtQtQtQtQtQtQtayazaAaBaCaDaEQt",
"awaFaFaFaFaFaxQtQtQtQtQtQtQtQtaGaHaIaJaKaLaM",
"axaxaxaxaxaxaxQtQtQtQtQtQtQtQtQtaNaOaPaQaRaS",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaTaUaVaWaX",
"QtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtQtaYaZa0a1"];


sub NEW
{
    shift->SUPER::NEW(@_[0..2]);
    statusBar();

    $image0 = Qt::Pixmap($image0_data);
    $image1 = Qt::Pixmap($image1_data);
    $image2 = Qt::Pixmap($image2_data);
    $image3 = Qt::Pixmap($image3_data);
    $image4 = Qt::Pixmap($image4_data);
    $image5 = Qt::Pixmap($image5_data);
    $image6 = Qt::Pixmap($image6_data);
    $image7 = Qt::Pixmap($image7_data);
    $image8 = Qt::Pixmap($image8_data);
    $image9 = Qt::Pixmap($image9_data);
    $image10 = Qt::Pixmap($image10_data);
    $image11 = Qt::Pixmap($image11_data);
    $image12 = Qt::Pixmap($image12_data);

    if ( name() eq "unnamed" )
    {
        setName("PKanaEditor" );
    }

    setCentralWidget(Qt::Widget(this, "qt_central_widget"));
    my $PKanaEditorLayout = Qt::GridLayout(centralWidget(), 1, 1, 11, 6, '$PKanaEditorLayout');

    MainEditor = Qt::TextEdit(centralWidget(), "MainEditor");

    $PKanaEditorLayout->addWidget(MainEditor, 0, 0);

    fileNewAction= Qt::Action(this, "fileNewAction");
    fileNewAction->setIconSet( Qt::IconSet($image0) );
    fileOpenAction= Qt::Action(this, "fileOpenAction");
    fileOpenAction->setIconSet( Qt::IconSet($image1) );
    fileSaveAction= Qt::Action(this, "fileSaveAction");
    fileSaveAction->setIconSet( Qt::IconSet($image2) );
    fileSaveAsAction= Qt::Action(this, "fileSaveAsAction");
    fileSaveAsAction->setIconSet( Qt::IconSet($image3) );
    filePrintAction= Qt::Action(this, "filePrintAction");
    filePrintAction->setIconSet( Qt::IconSet($image4) );
    fileExitAction= Qt::Action(this, "fileExitAction");
    fileExitAction->setIconSet( Qt::IconSet($image5) );
    editUndoAction= Qt::Action(this, "editUndoAction");
    editUndoAction->setIconSet( Qt::IconSet($image6) );
    editRedoAction= Qt::Action(this, "editRedoAction");
    editRedoAction->setIconSet( Qt::IconSet($image7) );
    editCutAction= Qt::Action(this, "editCutAction");
    editCutAction->setIconSet( Qt::IconSet($image8) );
    editCopyAction= Qt::Action(this, "editCopyAction");
    editCopyAction->setIconSet( Qt::IconSet($image9) );
    editPasteAction= Qt::Action(this, "editPasteAction");
    editPasteAction->setIconSet( Qt::IconSet($image10) );
    helpAboutAction= Qt::Action(this, "helpAboutAction");
    ZoomInAction= Qt::Action(this, "ZoomInAction");
    ZoomInAction->setIconSet( Qt::IconSet($image11) );
    ZoomOutAction= Qt::Action(this, "ZoomOutAction");
    ZoomOutAction->setIconSet( Qt::IconSet($image12) );


    Toolbar = Qt::ToolBar("", this, &DockTop);

    fileOpenAction->addTo(Toolbar);
    fileNewAction->addTo(Toolbar);
    fileSaveAction->addTo(Toolbar);
    ZoomInAction->addTo(Toolbar);
    ZoomOutAction->addTo(Toolbar);
    editUndoAction->addTo(Toolbar);
    editRedoAction->addTo(Toolbar);
    Toolbar_2 = Qt::ToolBar("", this, &DockTop);

    editCopyAction->addTo(Toolbar_2);
    editCutAction->addTo(Toolbar_2);
    editPasteAction->addTo(Toolbar_2);
    Toolbar_3 = Qt::ToolBar("", this, &DockTop);

    fileExitAction->addTo(Toolbar_3);


    MenuBar= Qt::MenuBar( this, "MenuBar");


    fileMenu = Qt::PopupMenu( this );
    fileNewAction->addTo( fileMenu );
    fileOpenAction->addTo( fileMenu );
    fileSaveAction->addTo( fileMenu );
    fileSaveAsAction->addTo( fileMenu );
    fileMenu->insertSeparator();
    filePrintAction->addTo( fileMenu );
    fileMenu->insertSeparator();
    fileExitAction->addTo( fileMenu );
    MenuBar->insertItem( "", fileMenu, 1 );

    editMenu = Qt::PopupMenu( this );
    editUndoAction->addTo( editMenu );
    editRedoAction->addTo( editMenu );
    editMenu->insertSeparator();
    editCutAction->addTo( editMenu );
    editCopyAction->addTo( editMenu );
    editPasteAction->addTo( editMenu );
    editMenu->insertSeparator();
    MenuBar->insertItem( "", editMenu, 2 );

    helpMenu = Qt::PopupMenu( this );
    helpAboutAction->addTo( helpMenu );
    MenuBar->insertItem( "", helpMenu, 3 );

    languageChange();
    my $resize = Qt::Size(600, 480);
    $resize = $resize->expandedTo(minimumSizeHint());
    resize( $resize );
    clearWState( &Qt::WState_Polished );

    Qt::Object::connect(fileNewAction, SIGNAL "activated()", this, SLOT "fileNew()");
    Qt::Object::connect(fileOpenAction, SIGNAL "activated()", this, SLOT "fileOpen()");
    Qt::Object::connect(fileSaveAction, SIGNAL "activated()", this, SLOT "fileSave()");
    Qt::Object::connect(fileSaveAsAction, SIGNAL "activated()", this, SLOT "fileSaveAs()");
    Qt::Object::connect(filePrintAction, SIGNAL "activated()", this, SLOT "filePrint()");
    Qt::Object::connect(fileExitAction, SIGNAL "activated()", this, SLOT "fileExit()");
    Qt::Object::connect(editUndoAction, SIGNAL "activated()", this, SLOT "editUndo()");
    Qt::Object::connect(editRedoAction, SIGNAL "activated()", this, SLOT "editRedo()");
    Qt::Object::connect(editCutAction, SIGNAL "activated()", this, SLOT "editCut()");
    Qt::Object::connect(editCopyAction, SIGNAL "activated()", this, SLOT "editCopy()");
    Qt::Object::connect(editPasteAction, SIGNAL "activated()", this, SLOT "editPaste()");
    Qt::Object::connect(helpAboutAction, SIGNAL "activated()", this, SLOT "helpAbout()");
    Qt::Object::connect(ZoomOutAction, SIGNAL "activated()", this, SLOT "ZoomOutAction_activated()");
    Qt::Object::connect(ZoomInAction, SIGNAL "activated()", this, SLOT "ZoomInAction_activated()");
    Qt::Object::connect(MainEditor, SIGNAL "returnPressed()", this, SLOT "MainEditor_returnPressed()");
    Qt::Object::connect(MainEditor, SIGNAL "cursorPositionChanged(int,int)", this, SLOT "MainEditor_cursorPositionChanged(int,int)");

    init();
}


sub DESTROY
{
    destroy();
    SUPER->DESTROY()
}

#  Sets the strings of the subwidgets using the current
#  language.

sub languageChange
{
    setCaption(trUtf8("Perl Kana Editor") );
    fileNewAction->setText( trUtf8("New") );
    fileNewAction->setMenuText( trUtf8("&New") );
    fileNewAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+N") ) );
    fileOpenAction->setText( trUtf8("Open") );
    fileOpenAction->setMenuText( trUtf8("&Open...") );
    fileOpenAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+O") ) );
    fileSaveAction->setText( trUtf8("Save") );
    fileSaveAction->setMenuText( trUtf8("&Save") );
    fileSaveAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+S") ) );
    fileSaveAsAction->setText( trUtf8("Save As") );
    fileSaveAsAction->setMenuText( trUtf8("Save &As...") );
    fileSaveAsAction->setAccel( Qt::KeySequence( undef ) );
    filePrintAction->setText( trUtf8("Print") );
    filePrintAction->setMenuText( trUtf8("&Print...") );
    filePrintAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+P") ) );
    fileExitAction->setText( trUtf8("Exit") );
    fileExitAction->setMenuText( trUtf8("E&xit") );
    fileExitAction->setAccel( Qt::KeySequence( undef ) );
    editUndoAction->setText( trUtf8("Undo") );
    editUndoAction->setMenuText( trUtf8("&Undo") );
    editUndoAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+Z") ) );
    editRedoAction->setText( trUtf8("Redo") );
    editRedoAction->setMenuText( trUtf8("&Redo") );
    editRedoAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+Y") ) );
    editCutAction->setText( trUtf8("Cut") );
    editCutAction->setMenuText( trUtf8("Cu&t") );
    editCutAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+X") ) );
    editCopyAction->setText( trUtf8("Copy") );
    editCopyAction->setMenuText( trUtf8("&Copy") );
    editCopyAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+C") ) );
    editPasteAction->setText( trUtf8("Paste") );
    editPasteAction->setMenuText( trUtf8("&Paste") );
    editPasteAction->setAccel( Qt::KeySequence( trUtf8("Ctrl+V") ) );
    helpAboutAction->setText( trUtf8("About") );
    helpAboutAction->setMenuText( trUtf8("&About") );
    helpAboutAction->setAccel( Qt::KeySequence( undef ) );
    ZoomInAction->setText( trUtf8("Action") );
    ZoomOutAction->setText( trUtf8("Action") );
    Toolbar->setLabel( trUtf8("Toolbar") );
    Toolbar_2->setLabel( trUtf8("Toolbar_2") );
    Toolbar_3->setLabel( trUtf8("Toolbar_3") );
    MenuBar->findItem( 1 )->setText( trUtf8("&File") );
    MenuBar->findItem( 2 )->setText( trUtf8("&Edit") );
    MenuBar->findItem( 3 )->setText( trUtf8("&Help") );
}

# line 10 "pkanaeditor.ui.pm"

my $last_space=0;
my $indexFrom=0;
my $indexCP=0;
my $paraCP=0;
my $ctr_para=0;
my $data;
my $data_file;
my $file;
my $VERSION='0.1';

sub init
{
    if( -e "$ENV{PWD}/data.xml")
    {
	$data_file = "$ENV{PWD}/data.xml"
    }
    elsif( -e "/usr/local/share/data.xml")
    {
	$data_file = "/usr/local/share/data.xml";
    }
    elsif( -e "$ENV{HOME}/.pkanaeditor/data.xml")
    {
	$data_file="$ENV{HOME}/.pkanaeditor/data.xml";
    }
    $data = XML::Simple::XMLin($data_file,KeyAttr=>'romanji');
}


sub destroy
{

}


sub fileNew
{
    $file = '';
    MainEditor->clear();
}


sub fileOpen
{
    $file = Qt::FileDialog::getOpenFileName($ENV{PWD},"Text files (*.txt)",this,"open file dialog","Choose a file to open" );
    open (F2,"<:encoding(utf8)",$file);
    my $txt;
    while(<F2>)
    {
	$txt .= $_;
    }
    close(F2);
    MainEditor->setText($txt);
}


sub fileSave
{
    return fileSaveAs() unless(defined($file)) ;
    open (F2,">:encoding(utf8)",$file);
    print F2 trUtf8( MainEditor->text() ),"\n";
    close(F2);
}


sub fileSaveAs
{
    $file = Qt::FileDialog::getSaveFileName($ENV{PWD},"Text files (*.txt)",this,"save file dialog","Choose a filename to save under" ) ;
    return fileSave() ;
}


sub filePrint
{
    print "PKanaEditor->filePrint(): Not implemented yet.\n";
}


sub fileExit
{
    Qt::Application::quit();
}


sub editUndo
{
     MainEditor->undo();
}


sub editRedo
{
     MainEditor->redo() ;
}


sub editCut
{
     MainEditor->cut();
}


sub editCopy
{
     MainEditor->copy();
}


sub editPaste
{
     MainEditor->paste() ;
}

sub helpAbout
{
     Qt::MessageBox::aboutQt(this);
}


sub ZoomOutAction_activated
{
     MainEditor->zoomOut();
}


sub ZoomInAction_activated
{
    MainEditor->zoomIn() ;
}


sub MainEditor_returnPressed
{
    $ctr_para=$paraCP;
    my $t = MainEditor->text($ctr_para);
    MainEditor->setSelection($ctr_para,0,$ctr_para,length($t)-1);
    MainEditor->insertParagraph(trUtf8(_RomanjiToKana(trUtf8($t))),$ctr_para);
    MainEditor->setCursorPosition($ctr_para+1,0);
    MainEditor->setSelection($ctr_para+1,0,$ctr_para+1, MainEditor->paragraphLength($ctr_para+1)  );
    MainEditor->removeSelectedText(0);
}


sub _RomanjiToKana # SLOT: ( const QString & )
{
    my $romanji = shift;
    $romanji = lc($romanji);
    return unless($data->{fields});
    foreach my $field (split(/\s*,\s*/,$data->{fields}))
    {
        foreach my $r (keys( %{ $data->{$field}->{item} } ))
        {
        	$romanji =~ s/$r/$data->{$field}->{item}->{$r}->{kana}/g;
        }
    }
    return $romanji;
}


sub MainEditor_cursorPositionChanged # SLOT: ( int, int )
{
    my ($para,$cindex) = @_;
    $indexCP=$cindex;
    $paraCP=$para;
}

1;


package main;

use Qt;
use PKanaEditor;

my $a = Qt::Application(\@ARGV);
my $w = PKanaEditor;
$a->setMainWidget($w);
$w->show;
exit $a->exec;
