#############################################################################
# ui.pm extension file, included from the puic-generated form implementation.
# If you wish to add, delete or rename signals or slots use
# the Perl-enabled Qt Designer which will update this file,
# preserving your code.
#
# 'SLOT:' markers are not meant to be created or edited manually.
# Please use the Slots dialog and/or the Object Browser.
#############################################################################

my $last_space=0;
my $indexFrom=0;
my $indexCP=0;
my $paraCP=0;
my $ctr_para=0;
my $data;
my $data_file;
my $file;
my $VERSION='0.1';

sub init
{
    if( -e "$ENV{PWD}/data.xml")
    {
	$data_file = "$ENV{PWD}/data.xml"
    }
    elsif( -e "/usr/local/share/data.xml")
    {
	$data_file = "/usr/local/share/data.xml";
    }
    elsif( -e "$ENV{HOME}/.pkanaeditor/data.xml")
    {
	$data_file="$ENV{HOME}/.pkanaeditor/data.xml";
    }
    $data = XML::Simple::XMLin($data_file,KeyAttr=>'romanji');
}


sub destroy
{

}


sub fileNew
{
    $file = '';
    MainEditor->clear();
}


sub fileOpen
{
    $file = Qt::FileDialog::getOpenFileName($ENV{PWD},"Text files (*.txt)",this,"open file dialog","Choose a file to open" );
    open (F2,"<:encoding(utf8)",$file);
    my $txt;
    while(<F2>)
    {
	$txt .= $_;
    }
    close(F2);
    MainEditor->setText($txt);
}


sub fileSave
{
    return fileSaveAs() unless(defined($file)) ;
    open (F2,">:encoding(utf8)",$file);
    print F2 trUtf8( MainEditor->text() ),"\n";
    close(F2);
}


sub fileSaveAs
{
    $file = Qt::FileDialog::getSaveFileName($ENV{PWD},"Text files (*.txt)",this,"save file dialog","Choose a filename to save under" ) ;
    return fileSave() ;
}


sub filePrint
{

}


sub fileExit
{
    Qt::Application::quit();
}


sub editUndo
{
     MainEditor->undo();
}


sub editRedo
{
     MainEditor->redo() ;
}


sub editCut
{
     MainEditor->cut();
}


sub editCopy
{
     MainEditor->copy();
}


sub editPaste
{
     MainEditor->paste() ;
}

sub helpAbout
{
     Qt::MessageBox::aboutQt(this);
}


sub ZoomOutAction_activated
{
     MainEditor->zoomOut();
}


sub ZoomInAction_activated
{
    MainEditor->zoomIn() ;
}


sub MainEditor_returnPressed
{
    $ctr_para=$paraCP;
    my $t = MainEditor->text($ctr_para);
    MainEditor->setSelection($ctr_para,0,$ctr_para,length($t)-1);
    MainEditor->insertParagraph(trUtf8(_RomanjiToKana(trUtf8($t))),$ctr_para);
    MainEditor->setCursorPosition($ctr_para+1,0);
    MainEditor->setSelection($ctr_para+1,0,$ctr_para+1, MainEditor->paragraphLength($ctr_para+1)  );
    MainEditor->removeSelectedText(0);
}


sub _RomanjiToKana # SLOT: ( const QString & )
{
    my $romanji = shift;
    $romanji = lc($romanji);
    return unless($data->{fields});
    foreach my $field (split(/\s*,\s*/,$data->{fields}))
    {
        foreach my $r (keys( %{ $data->{$field}->{item} } ))
        {
        	$romanji =~ s/$r/$data->{$field}->{item}->{$r}->{kana}/g;
        }
    }
    return $romanji;
}


sub MainEditor_cursorPositionChanged # SLOT: ( int, int )
{
    my ($para,$cindex) = @_;
    $indexCP=$cindex;
    $paraCP=$para;
}
